-- 
--  You can use this file to set "traits" for different
--  kinds of civ objects.
--
--  You can generate a template file by using the script
--  makeSetTraits.lua
--
--  To access traits in other files, you must require
--  the traits module, but requiring this module is not necessary
--  in each file.
local traits = require("traits")
local object = require("object")
local gen = require("generalLibrary")
--[[
traits.allowedTraits("fighter","bomber","warship")
traits.assign({gen.original.uFighter, gen.original.uStlthFtr},"fighter")
traits.assign({gen.original.uBomber, gen.original.uStlthBmbr},"bomber")
traits.assign({gen.original.uDestroyer, gen.original.uCruiser, gen.original.uAEGISCruiser, 
        gen.original.uBattleship, gen.original.uCarrier},"warship")
        --]]

-- Trait Groupings Defined
traits.allowedTraits("alpine","american","brazilian","british","canadian","french","germandefensive","ignoreWallsAndFortresses","indian","newzealander","polish","southafrican",
"religiousBuilding","decorated","majoroffensive","mounted","panzerkampfgruppe","panzerkampfgruppe-ss","siege engine","science wonder","ukarmoreddivision","usarmoreddivision")

-- Alpine Trait
traits.assign({object.uGoumierMarocain, object.uGreekMtnBde, object.uUS10thMountain, object.uBritish52ndMtn},"alpine")

-- Most Decorated Trait
traits.assign({object.uUS442ndRegt},"decorated")

-- American Traits
traits.assign({object.uGIVeteran, object.uM8Greyhound, object.uArmoredInfantry, object.uM5Stuart, object.uM4A1Sherman, 
object.uM4A376WSherman, object.uM10Wolverine, object.uRanger, object.u82ndAirborne, object.uM157mmAT, 
object.uGIRegular, object.uUS1stInfantry, object.uUS10thMountain, object.uUSBazooka, object.uM4A1ShermanInd},"american")

traits.assign({object.uArmoredInfantry,object.uM5Stuart,object.uM4A1Sherman,object.uM4A376WSherman,object.uM12155mmHMC},"usarmoreddivision")

-- British Traits
traits.assign({object.uBritishVeteran, object.uBritishPIAT, object.uDaimlerAC, object.uShermanIIaBde, object.uChurchillMkIV,
object.uShermanVCFirefly, object.uCommandos, object.u1stAirborne, object.u6pdrAT, object.uBritishMotorTroops,
object.uShermanIIa, object.uBritishRegular, object.uCromwellMkVII, object.uChurchillAVRE, object.uBritish52ndMtn},"british")

traits.assign({object.uBritishMotorTroops,object.uShermanIIa,object.uCromwellMkVII,object.uShermanVCFirefly,object.uBishop25pdr,},"ukarmoreddivision")

-- Other Nation Traits
traits.assign({object.uBraz1stInf},"brazilian")
traits.assign({object.uCdnMotInf, object.uCdnShermanIII, object.uCdnMotorTroops, object.uCdnInfantry},"canadian")
traits.assign({object.uInfanterieColoniale, object.uGoumierMarocain, object.uTirailleurAlgerien, object.uFreeFrenchInfantry, object.uFreeFrenchM10},"french")
traits.assign({object.uGurkhas, object.uIndianInfantry, object.u4thIndianDiv},"indian")
traits.assign({object.uNZMotInf, object.uNZShermanIII},"newzealander")
traits.assign({object.uPolishInfantry, object.uPolishShermanIII},"polish")
traits.assign({object.uSAMotInf, object.uSAShermanIII, object.uSAMotorTroops},"southafrican")

-- Munitions Traits
traits.assign({object.u105mmShell, object.u155mmShell, object.uLightBombload, object.uMediumBombload, object.uHeavyBombload, object.uHeavyShell},"majoroffensive")

-- German Traits
traits.assign({object.uWiderstandsnest, object.uFallschirmjager, object.u37cmFlak36, object.u88cmFlak37, object.u105cmleFH18, object.u15cmsIG33},"germandefensive")
traits.assign({object.uPanzerschreck, object.uMotInfanterie, object.uPanzerGrenadier, object.uStugIIIG, object.uPzkwIVF, object.uPzkwIVH, object.uPzkwVG, object.uPzkwVIE, object.uGrilleHsIG33, object.uSdkFz231, object.uSdkFz72AA},"panzerkampfgruppe")
traits.assign({object.uSSMotInfanterie, object.uSSPanzergrenadier, object.uSSPzkwIV, object.uSSPanther, object.uSSHummel, object.uSSSdkFz2342, object.uSSSdkFz72AA},"panzerkampfgruppe-ss")



--[[
traits.assign(gen.original.iCathedral,"religiousBuilding")
traits.assign(gen.original.iTemple,"religiousBuilding")

traits.assign({gen.original.uHorsemen, gen.original.uKnights, gen.original.uCrusaders,
        gen.original.uDragoons, gen.original.uCavalry}, "mounted")

traits.assign({gen.original.uCatapult, gen.original.uCannon, gen.original.uArtillery},"siege engine")

traits.assign({gen.original.wCopernicusObservatory, gen.original.wIsaacNewtonsCollege, gen.original.wSETIProgram},"science wonder")
--]]


return {}
