-- You may wish to consider changing combat stats in initiateCombat instead of this module.
local versionNumber = 1
local fileModified = true -- set this to true if you change this file for your scenario
-- if another file requires this file, it checks the version number to ensure that the
-- version is recent enough to have all the expected functionality
-- if you set fileModified to true, the error generated if this file is out of date will
-- warn you that you've modified this file

local attackBonus = require("attackBonus")

local object = require("object")


-- defaultAttackTable[unitType.id]=integer
-- gives the attack value of the unit type without a bonus. Only necessary for
-- units that might receive a bonus, but no problem if all use it

local defaultAttackTable = {}
-- US and FF
-- defaultAttackTable[object.uM5Stuart.id]=8
-- defaultAttackTable[object.uM4A1Sherman.id]=12
-- defaultAttackTable[object.uM4A376WSherman.id]=13
-- defaultAttackTable[object.uM4A1ShermanInd.id]=11
-- defaultAttackTable[object.uM10Wolverine.id]=10
-- defaultAttackTable[object.uArmoredInfantry.id]=11
-- defaultAttackTable[object.uFreeFrenchM10.id]=10
-- -- UKJ and CW
-- defaultAttackTable[object.uShermanIIa.id]=12
-- defaultAttackTable[object.uShermanVCFirefly.id]=15
-- defaultAttackTable[object.uShermanIIaBde.id]=11
-- defaultAttackTable[object.uCromwellMkVII.id]=12
-- defaultAttackTable[object.uBritishMotorTroops.id]=8
-- defaultAttackTable[object.uCdnShermanIII.id]=11
-- defaultAttackTable[object.uCdnMotorTroops.id]=8
-- defaultAttackTable[object.uSAShermanIII.id]=11
-- defaultAttackTable[object.uSAMotorTroops.id]=8
-- defaultAttackTable[object.uNZShermanIII.id]=11


-- comment out the next line if you wish to use the categoryAttackBonus instead
local simpleAttackBonusTable = {}
-- uncomment this line if you wish to use the categoryAttackBonus instead
-- local categoryAttackBonusTable = {}

	simpleAttackBonusTable.type = "addbonus"
	-- simpleAttackBonusTable[object.uM4A1Sherman.id]={[object.uGenPatton.id]=3,[object.uGenClark.id]=1,[object.uGenMontgomery.id]=0,[object.uGenLeese.id]=0}
	-- US & FF
	-- simpleAttackBonusTable[object.uM5Stuart.id]={[object.uM8Greyhound.id]=2}
	-- simpleAttackBonusTable[object.uM4A1Sherman.id]={[object.uM8Greyhound.id]=2}
	-- simpleAttackBonusTable[object.uM4A376WSherman.id]={[object.uM8Greyhound.id]=2}
	-- simpleAttackBonusTable[object.uM4A1ShermanInd.id]={[object.uM8Greyhound.id]=2}
	-- simpleAttackBonusTable[object.uM10Wolverine.id]={[object.uM8Greyhound.id]=2}
	-- simpleAttackBonusTable[object.uArmoredInfantry.id]={[object.uM8Greyhound.id]=1}
	-- simpleAttackBonusTable[object.uFreeFrenchM10.id]={[object.uM8Greyhound.id]=1}
	-- -- UK & CW
	-- simpleAttackBonusTable[object.uShermanIIa.id]={[object.uDaimlerAC.id]=2}
	-- simpleAttackBonusTable[object.uShermanVCFirefly.id]={[object.uDaimlerAC.id]=2}
	-- simpleAttackBonusTable[object.uShermanIIaBde.id]={[object.uDaimlerAC.id]=2}
	-- simpleAttackBonusTable[object.uCromwellMkVII.id]={[object.uDaimlerAC.id]=2}
	-- simpleAttackBonusTable[object.uBritishMotorTroops.id]={[object.uDaimlerAC.id]=1}
	-- simpleAttackBonusTable[object.uCdnShermanIII.id]={[object.uDaimlerAC.id]=2}
	-- simpleAttackBonusTable[object.uCdnMotorTroops.id]={[object.uDaimlerAC.id]=1}
	-- simpleAttackBonusTable[object.uSAShermanIII.id]={[object.uDaimlerAC.id]=2}
	-- simpleAttackBonusTable[object.uSAMotorTroops.id]={[object.uDaimlerAC.id]=1}
	-- simpleAttackBonusTable[object.uNZShermanIII.id]={[object.uDaimlerAC.id]=2}

local function atkBonus(activeUnit)
    attackBonus.simpleAttackBonus(activeUnit,simpleAttackBonusTable,defaultAttackTable)
    -- if you wish to use the category attack bonus, comment out the above line, and
    -- uncomment the following one
    --attackBonus.categoryAttackBonus(activeUnit,categoryAttackBonusTable,defaultAttackTable)
end

local ab = {attackBonus = atkBonus}
local gen = require("generalLibrary"):minVersion(1)
gen.versionFunctions(ab,versionNumber,fileModified,"MechanicsFiles".."\\".."attackBonusSettings.lua")
return ab
