local gen = require("generalLibrary")
local param = require("parameters")
local object = require("object")
local text = require("text")

local object = require("object")
local flag = require("flag")
local onTurn = require("onTurn")

local func = require("functions")


local function smallNestedMenu(menuType)
	-- MENU FOR ALL GAME TIPS AND SPECIAL SCENARIO RULES (see also consolidatedEvents.lua (KEY PRESS '4'))
	
    menuType = menuType or "menu1" -- menu1 is the default menu
    -- MENU 1 (INTRO)
	if menuType == "menu1" then
        local menuText = "Select One Option!"
        -- local menuTable = {"Go to Game Tips","Go to Game Concepts","Set Stacking Limit Option","Set Ships At Sea Penalty Option","Set Attacker and Defender Pop-Ups","Set Game Tips Pop-Ups","Set Unit Unsupplied Pop-Ups","Credits","Exit Menu"}
        local menuTable = {"Go to Game Tips","Go to Game Concepts","Set Game Tips Pop-Ups","Set Unit Unsupplied Pop-Ups","Credits!","Exit Menu"}
		local choice = text.menu(menuTable,menuText,"GAME TIPS AND CONCEPTS")
        if choice == 1 then
            return smallNestedMenu("menu2")
        
		elseif choice == 2 then
            return smallNestedMenu("menu3")
			
        elseif choice == 3 then
			return smallNestedMenu("menu4")

		elseif choice == 4 then
			return smallNestedMenu("menu5")
			
		elseif choice == 5 then
			return smallNestedMenu("menu6")

		elseif choice == 6 then
			return smallNestedMenu("menu7")

		elseif choice == 7 then
			return smallNestedMenu("menu8")
			
		elseif choice == 8 then
			return smallNestedMenu("menu9")
			
		elseif choice == 9 then
			return
        end
    end
    
	-- MENU 2: REVIEW GAME TIPS
	if menuType == "menu2" then
        local menuText = "Select a Unit Tip!"
        local menuTable = {"Allied Bombers","Allied Fighter-Bombers","Allied Generals","C-47 Dakota","Docks","DUKW","Engineers","Illustrious Class CV","Landing Craft","Liberty Ship","Mountain Units","Oil Tankers","Reconnaissance","Torpedoes","UK and US Trucks","Waco Gliders","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Scenario Tips")
        if choice == 1 then
			text.simple(object.AlliedBombers,"TIP: Allied Bombers",object.mB24Bomber)
		    return  smallNestedMenu("menu2")

        elseif choice == 2 then
			text.simple(object.AlliedFighterBombers,"TIP: Allied Fighter-Bombers",object.mHawkerHurricaneIIc)
		    return  smallNestedMenu("menu2")

		elseif choice == 3 then
			text.simple(object.AlliedGenerals,"TIP: AlliedGenerals",object.mGenMontgomery)
		    return  smallNestedMenu("menu2")
			
		elseif choice == 4 then
			text.simple(object.C47Dakota,"TIP: C-47 Dakota",object.mC47Dakota)
		    return  smallNestedMenu("menu2")

		elseif choice == 5 then
			text.simple(object.Docks,"TIP: Docks",object.mDocksBuilt)
		    return  smallNestedMenu("menu2")

		elseif choice == 6 then
			text.simple(object.DUKW,"TIP: DUKW",object.mDUKWBeachead)
		    return  smallNestedMenu("menu2")
			
		elseif choice == 7 then
			-- text.simple(object.engineers,"TIP: Engineers",object.mEngineers)
 
            local menuText = "Review Engineer's Multiple Capabilities!"
			local menuTable = {"Repair river crossings","Clear sea mines from port cities","Build docks in port cities","Build pontoon bridges on riverbeds","Build radar stations in cities or airbases","Return to Main Menu","Exit Menu"}
			local menuImage = civ.ui.loadImage("Images\\Engineers.bmp")
			local menuTitle = "Engineer Capabilities?"
			local choice = text.menu(menuTable,menuText,menuTitle,menuImage)	
			if choice == 1 then
				text.simple(object.engineers_River,"TIP: Engineers - River Crossings",object.mEngineers)
				return smallNestedMenu("menu2")
				
			elseif choice == 2 then
				text.setLinesPerWindow(25)
					text.simple(object.engineers_SeaMines,"TIP: Engineers - Sea Mines",object.mEngineers)
				text.setLinesPerWindow(12)
				return smallNestedMenu("menu2")
				
			elseif choice == 3 then
				text.setLinesPerWindow(25)
					text.simple(object.engineers_Docks,"TIP: Engineers - Docks",object.mEngineers)
				text.setLinesPerWindow(12)	
				return smallNestedMenu("menu2")

			elseif choice == 4 then
				text.simple(object.engineers_PontoonBridge,"TIP: Engineers - Pontoon Bridges",object.mEngineers)
				return smallNestedMenu("menu2")
				
			elseif choice == 5 then
				text.simple(object.engineers_RadarStations,"TIP: Engineers - Radar Stations",object.mEngineers)
				return smallNestedMenu("menu2")

			elseif choice == 6 then
				return smallNestedMenu("menu2")
				
			elseif choice == 7 then
				return
			end

			return smallNestedMenu("menu2")
			
		elseif choice == 8 then
			text.simple(object.HMSIllustrious,"TIP: HMS Illustrious CV Class",object.mHMSIllustrious)
			return smallNestedMenu("menu2")
	    
		elseif choice == 9 then	
			text.simple(object.LandingCraft,"TIP: Landing Craft",object.mLandingCraft)
			return smallNestedMenu("menu2")

		elseif choice == 10 then	
			text.simple(object.LibertyShip,"TIP: Liberty Ship",object.mLibertyShip)
			return smallNestedMenu("menu2")
			
		elseif choice == 11 then	
			text.simple(object.MountainUnits,"TIP: Mountain units",object.mGoumierMarocain)
			return smallNestedMenu("menu2")

		elseif choice == 12 then	
			text.simple(object.oilTankers,"TIP: Oil Tanker units",object.mResupplyAtSea)
			return smallNestedMenu("menu2")			

		elseif choice == 13 then	
			text.simple(object.reconnaissance,"TIP: Reconnaissance units",object.mM8Greyhound)
			return smallNestedMenu("menu2")			
			
		elseif choice == 14 then	
			text.simple(object.Torpedoes,"TIP: Torpedoes",object.mTorpedoBomber)
			return smallNestedMenu("menu2")
			
		elseif choice == 15 then
			text.setLinesPerWindow(25)
				text.simple(object.supplyTrucks,"TIP: UK and US Trucks",object.GMCTruck)
			text.setLinesPerWindow(12)
			return smallNestedMenu("menu2")

		elseif choice == 16 then	
			text.setLinesPerWindow(25)
				text.simple(object.WacoGliders,"TIP: Waco Gliders",object.mWacoGliders)
			text.setLinesPerWindow(12)	
			return smallNestedMenu("menu2")
			
		elseif choice == 17 then		
			return smallNestedMenu("menu1")
		
		elseif choice == 18 then		
			return
        end
    end
    
	-- MENU 3: GAME CONCEPTS
	if menuType == "menu3" then
        local menuText = "Select a Game Concept!"
        local menuTable = {"AI Ranged Munitions","Allied Munitions","Allied vs Axis Losses","Axis Railroad Yards","Game Menus","Major Airfields","National Attack/Defense Bonuses","Radars","Seasons","Stacking Limits","Supply Lines","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Game Concepts")
        if choice == 1 then
			text.setLinesPerWindow(25)
				text.simple(object.aiRangedUnits,"CONCEPT: AI Ranged Munitions",object.mGameConcept2)
			text.setLinesPerWindow(12)
			return smallNestedMenu("menu3")

       elseif choice == 2 then
			text.setLinesPerWindow(30)
				text.simple(object.alliedMunitions,"CONCEPT: Allied Munitions",object.mGameConcept2)
			text.setLinesPerWindow(12)
			return smallNestedMenu("menu3")

       elseif choice == 3 then
			text.simple(object.alliedvsAxisLosses,"CONCEPT: Allied vs Axis Losses",object.mGameConcept2)
			return smallNestedMenu("menu3")
			
       elseif choice == 4 then
			text.setLinesPerWindow(20)
				text.simple(object.axisRailyards,"CONCEPT: Axis Railyards",object.mGameConcept2)
			text.setLinesPerWindow(12)
			return smallNestedMenu("menu3")
			
       elseif choice == 5 then
			text.setLinesPerWindow(25)
				text.simple(object.gameMenus,"CONCEPT: Game Menus",object.mGameConcept2)
			text.setLinesPerWindow(12)	
			return smallNestedMenu("menu3")
	    			
       elseif choice == 6 then
			text.simple(object.majorAirfields,"CONCEPT: Major Airfields",object.mGameConcept2)
			return smallNestedMenu("menu3")
			
       elseif choice == 7 then
			text.simple(object.nationBonuses,"CONCEPT: National Attack/Defense Bonuses",object.mGameConcept2)
			return smallNestedMenu("menu3")

       elseif choice == 8 then
			text.setLinesPerWindow(25)
				text.simple(object.radars,"CONCEPT: Radars",object.mGameConcept2)
			text.setLinesPerWindow(12)
			return smallNestedMenu("menu3")
			
		elseif choice == 9 then
			text.setLinesPerWindow(25)
				text.simple(object.seasons,"CONCEPT: Seasons",object.mGameConcept2)
			text.setLinesPerWindow(12)
			return smallNestedMenu("menu3")
	    
		elseif choice == 10 then		
			text.setLinesPerWindow(25)
				text.simple(object.stackingLimits,"CONCEPT: Stacking Limits",object.mGameConcept2)
			text.setLinesPerWindow(12)	
			return smallNestedMenu("menu3")
		
		elseif choice == 11 then		
			text.setLinesPerWindow(25)	
				text.simple(object.supplyLines,"CONCEPT: Supply Lines",object.mGameConcept2)
			text.setLinesPerWindow(12)	
			return smallNestedMenu("menu3")
	
		elseif choice == 12 then		
			return smallNestedMenu("menu1")
		
		elseif choice == 13 then		
			return
        end
    end	

	-- MENU 4: TURN STACKING LIMIT OPTION ON/OFF
	-- if menuType == "menu4" then
        -- local menuText = "Select an Option!"
        -- local menuTable = {"Turn Stacking Limits On/Off","Return to Main Menu","Exit Menu"}
		-- local choice = text.menu(menuTable,menuText,"Set Stacking Limits On/Off")
        -- if choice == 1 then
			-- if flag.value("Stacking Limit Options") == true then
				-- flag.setFalse("Stacking Limit Options")
				-- civ.ui.text("The Stacking Limit Penalties are now turned off!")
			-- else
				-- flag.setTrue("Stacking Limit Options")
				-- civ.ui.text("The Stacking Limit Penalties are now turned on!")
			-- end	
			-- return smallNestedMenu("menu4")	

		-- elseif choice == 2 then		
			-- return smallNestedMenu("menu1")
			
		-- elseif choice == 3 then	
		
			-- return
        -- end	
    -- end
	
	-- MENU 5: TURN SHIPS AT SEA PENALTY OPTION ON/OFF
	-- if menuType == "menu5" then
        -- local menuText = "Select an Option!"
        -- local menuTable = {"Turn Ships At Sea Penalty On/Off","Return to Main Menu","Exit Menu"}
		-- local choice = text.menu(menuTable,menuText,"Set Ships At Sea Penalty Option")
        -- if choice == 1 then
			-- if flag.value("Ships At Sea Penalty Option") == true then
				-- flag.setFalse("Ships At Sea Penalty Option")
				-- civ.ui.text("The Ships At Sea Penalty option is now turned off!")
			-- else
				-- flag.setTrue("Ships At Sea Penalty Option")
				-- civ.ui.text("The Ships At Sea Penalty option is now turned on!")
			-- end	
			-- return smallNestedMenu("menu5")	

		-- elseif choice == 2 then		
			-- return smallNestedMenu("menu1")
			
		-- elseif choice == 3 then	
		
			-- return
        -- end	
    -- end	
	
	-- MENU 6: TURN ATTACK / DEFENSE POP-UPS ON/OFF
	-- if menuType == "menu4" then
        -- local menuText = "Select an Option!"
        -- -- local menuTable = {"Turn Attack / Defense Display Off","Turn Attack / Defense Display On","Return to Main Menu","Exit Menu"}
		-- local menuTable = {"Turn Attack / Defense Display On/Off","Return to Main Menu","Exit Menu"}
        -- local choice = text.menu(menuTable,menuText,"Set Attacker and Defender Pop-Ups On/Off")
        -- if choice == 1 then
			-- if flag.value("Display Attacker and Defender Values") == true then
				-- flag.setFalse("Display Attacker and Defender Values")
				-- civ.ui.text("The Attacker / Defender Display is now turned off!")
			-- else
				-- flag.setTrue("Display Attacker and Defender Values")
				-- civ.ui.text("The Attacker / Defender Display is now turned on!")
			-- end
			-- return  smallNestedMenu("menu6")

		-- -- elseif choice == 2 then	
			-- -- if flag.value("Display Attacker and Defender Values") == false then
				-- -- flag.setTrue("Display Attacker and Defender Values")
				-- -- civ.ui.text("The Attacker / Defender Display is now turned on!")
			-- -- end		
			-- -- return smallNestedMenu("menu1")			

		-- elseif choice == 2 then		
			-- return smallNestedMenu("menu1")
			
		-- elseif choice == 3 then	
		
			-- return
        -- end		
		
	-- end	

	-- MENU 7: TURN GAME TIPS POP-UPS ON/OFF
	if menuType == "menu4" then
        local menuText = "Select an Option!"
        local menuTable = {"Turn Game Tips Pop-Ups On/Off","Return to Main Menu","Exit Menu"}
		local choice = text.menu(menuTable,menuText,"Set Game Tips Pop-Ups On/Off")
        if choice == 1 then
			if flag.value("Display Game Tip Pop-Ups") == true then
				flag.setFalse("Display Game Tip Pop-Ups")
				civ.ui.text("The Game Tip Pop-Ups are now turned off!")
			else
				flag.setTrue("Display Game Tip Pop-Ups")
				civ.ui.text("The Game Tip Pop-Ups are now turned on!")
			end	
			return smallNestedMenu("menu7")	

		elseif choice == 2 then		
			return smallNestedMenu("menu1")
			
		elseif choice == 3 then	
		
			return
        end		
		
	end	

	-- MENU 8: TURN GAME TIPS POP-UPS ON/OFF
	if menuType == "menu5" then
        local menuText = "Select an Option!"
        local menuTable = {"Turn Unit Unsupplied Pop-Ups On/Off","Return to Main Menu","Exit Menu"}
		local choice = text.menu(menuTable,menuText,"Set Game Tips Pop-Ups On/Off")
        if choice == 1 then
			if flag.value("Display Out of Supply Pop-Ups") == true then
				flag.setFalse("Display Out of Supply Pop-Ups")
				civ.ui.text("The Unit Unsupplied Pop-Ups are now turned off!")
			else
				flag.setTrue("Display Out of Supply Pop-Ups")
				civ.ui.text("The Unit Unsupplied Pop-Ups are now turned on!")
			end	
			return smallNestedMenu("menu8")	

		elseif choice == 2 then		
			return smallNestedMenu("menu1")
			
		elseif choice == 3 then	
		
			return
        end		
		
	end	

	-- MENU 9: CREDITS
	if menuType == "menu6" then
        local menuText = "Select an Option!"
        local menuTable = {"Credits!","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"CREDITS!")
        if choice == 1 then
			text.setLinesPerWindow(30)
				text.simple(object.gameCredits,"CREDITS!",object.monexone)
			text.setLinesPerWindow(12)	
		    return  smallNestedMenu("menu1")
		elseif choice == 2 then		
			return smallNestedMenu("menu1")
			
		elseif choice == 3 then	
			return

        end	
	end	
	
end

return {smallNestedMenu = smallNestedMenu}

