local gen = require("generalLibrary")
local param = require("parameters")
local object = require("object")
local text = require("text")

local object = require("object")
local flag = require("flag")
local counter = require("counter")

local onTurn = require("onTurn")

local func = require("functions")


local function smallNestedMenu(menuType)
	-- GIVES DESIGNER ACCESS TO UTILITY TOOL TO TRACK: (see also consolidatedEvents.lua (KEY PRESS '5'))
	-- The current maximum allowed Allied units by nation
	-- The different current flag statuses
	-- The different current counter statuses
	
    menuType = menuType or "menu1" -- menu1 is the default menu
    -- MENU 1: DEFAULT MENU
	if menuType == "menu1" then
        local menuText = "Select One Option!"
        local menuTable = {"Go to Maximum US Unit List","Go to Maximum UK Unit List","Go to Maximum Allied Unit List","Go to Maximum RN and USN Unit List","Go to Check Flag Values","Go to Check Counter Values","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"UTILITY TOOL")
        if choice == 1 then
            return smallNestedMenu("menu2")
        
		elseif choice == 2 then
            return smallNestedMenu("menu3")
			
        elseif choice == 3 then
			return smallNestedMenu("menu4")

		elseif choice == 4 then
			return smallNestedMenu("menu5")

		elseif choice == 5 then
			return smallNestedMenu("menu6")
			
		elseif choice == 6 then
			return smallNestedMenu("menu7")
			
		elseif choice == 7 then
			return
        end
    end
    
	-- MENU 2: CHECK FOR AMERICAN PARAM VALUES
	if menuType == "menu2" then
        local menuText = "Select One US Option!"
        local menuTable = {"Go to US Air List","Go to US Land List","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Maximum US Units Allowed List")
        if choice == 1 then
			local messageText = "*********** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			-- "\n^\r^Maximum American Air Units Allowed:\n^\r^US P-40: " .. param.maxtotalP40Warhawk ..
			"\n^\r^Maximum American Air Units Allowed:\n^\r^US P-40: " .. tostring(counter.value("# P-40")) ..
			"\n^US P-38: " .. tostring(counter.value("# P-38")) ..
			"\n^US P-51: " .. tostring(counter.value("# P-51")) ..

			"\n^\r^US A-36: " .. tostring(counter.value("# A-36")) ..
			"\n^US B-17: " .. tostring(counter.value("# B-17")) ..
			"\n^US B-24: " .. tostring(counter.value("# B-24")) ..
			"\n^US B-25: " .. tostring(counter.value("# B-25")) ..
			"\n^US B-26: " .. tostring(counter.value("# B-26")) .."" 

			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu2")

        elseif choice == 2 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Maximum American Ground Units Allowed:\n^\r^US M8: " .. tostring(counter.value("# M8 Greyhound")) ..
			"\n^US Arm. Inf.: " .. tostring(counter.value("# Armored Infantry")) ..
			"\n^US M5: " .. tostring(counter.value("# M5 Stuart")) ..
			"\n^US M4A1: " .. tostring(counter.value("# M4A1")) ..
			"\n^US M4A1 Ind: " .. tostring(counter.value("# M4A1 Ind")) ..
			"\n^US M10: " .. tostring(counter.value("# M10 Wolverine")) ..
			"\n^US M4A3: " .. tostring(counter.value("# M4A3 (76)")) ..
			"\n^US Truck: " .. tostring(counter.value("# US Truck")) ..
			"\n^Engineer: " .. tostring(counter.value("# Engineer")) ..

			"\n^\r^US 1st Inf: " .. tostring(counter.value("# 1st Infantry")) ..
			"\n^US Veteran: " .. tostring(counter.value("# GI Veteran")) ..
			"\n^US Regular: " .. tostring(counter.value("# GI Regular")) ..
			"\n^US Bazooka: " .. tostring(counter.value("# US Bazooka")) ..
			"\n^US Ranger: " .. tostring(counter.value("# US Ranger")) ..
			"\n^US 82nd Airb: " .. tostring(counter.value("# 82nd Airborne")) ..
			"\n^US 10th Mtn: " .. tostring(counter.value("# 10th Mountain")) .. 

			"\n^\r^US 105mm HMC: " .. tostring(counter.value("# M7 105mm HMC")) ..
			"\n^US 155mm HMC: " .. tostring(counter.value("# M12 155mm HMC")) ..
			"\n^US 40mm AA: " .. tostring(counter.value("# US Bofors 40mm AA")) ..
			"\n^US 105mm Art: " .. tostring(counter.value("# M2A1 105mm Art")) ..
			"\n^US 155mm Art: " .. tostring(counter.value("# M1 155mm Art")) .. 
			"\n^US 57mm AT: " .. tostring(counter.value("# M1 57mm AT")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu2")
	    
		elseif choice == 3 then		
			return smallNestedMenu("menu1")
		
		elseif choice == 4 then		
			return
        end
    end
    
	-- MENU 3: CHECK FOR BRITISH PARAM VALUES
	if menuType == "menu3" then
        local menuText = "Select One UK Option!"
        local menuTable = {"Go to UK Air List","Go to UK Land List","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Maximum UK Units Allowed List")
        if choice == 1 then
			local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Maximum British Air Units Allowed:\n^\r^UK Beaufighter: " .. tostring(counter.value("# Beaufighter MkVI")) ..
			"\n^UK Kittyhawk: " .. tostring(counter.value("# Kittyhawk")) ..
			"\n^UK Spitfire: " .. tostring(counter.value("# Spitfire MkIX")) ..
			"\n^UK Seafire: " .. tostring(counter.value("# Seafire MkII")) ..

			"\n^\r^UK Hurricane: " .. tostring(counter.value("# Hurricane IIc")) ..
			"\n^UK Baltimore: " .. tostring(counter.value("# Martin Baltimore")) ..
			"\n^UK Wellington: " .. tostring(counter.value("# Vickers Wellington")) ..
			"\n^UK Boston: " .. tostring(counter.value("# Boston III")) ..
			"\n^UK Sunderland: " .. tostring(counter.value("# Sunderland III")) ..
			"\n^UK Barracuda: " .. tostring(counter.value("# Fairey Barracuda")) .."" 
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu3")

        elseif choice == 2 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Maximum British Ground Units Allowed:\n^\r^UK Daimler: ".. tostring(counter.value("# Daimler AC")) ..
			"\n^UK Bren Carrier: " .. tostring(counter.value("# Bren Carrier")) .. 
			"\n^UK Sherman IIa Bde: " .. tostring(counter.value("# Sherman IIa Bde")) ..
			"\n^UK Sherman IIa: " .. tostring(counter.value("# Sherman IIa")) ..
			"\n^UK Church. IV: " .. tostring(counter.value("# Churchill Mk IV")) ..
			"\n^UK Cromwell: " .. tostring(counter.value("# Cromwell Mk VII")) ..
			"\n^UK Sherman V: " .. tostring(counter.value("# Sherman Firefly")) ..
			"\n^UK Church. AVRE: " .. tostring(counter.value("# Churchill AVRE")) ..  
			"\n^UK Truck: " .. tostring(counter.value("# UK Truck")) ..  
			
			"\n^\r^UK Veteran: " .. tostring(counter.value("# British Veteran")) ..
			"\n^UK Regular: " .. tostring(counter.value("# British Regular")) ..
			"\n^UK PIAT: " .. tostring(counter.value("# British PIAT")) ..
			"\n^UK MG: " .. tostring(counter.value("# British MG")) ..
			"\n^UK Cdo: " .. tostring(counter.value("# Commandos")) ..
			"\n^UK 1st Airb: " .. tostring(counter.value("# 1st Airborne")) .. 
			"\n^UK 52nd Mtn: " .. tostring(counter.value("# British 52nd Mountain")) .. 

			"\n^\r^UK Bishop: " .. tostring(counter.value("# Bishop 25pdr")) ..
			"\n^UK 40mm AA: " .. tostring(counter.value("# UK Bofors 40mm AA")) ..
			"\n^UK 25pdr Art: " .. tostring(counter.value("# 25pdr MKII Art")) ..
			"\n^UK 5.5inch Art: " .. tostring(counter.value("# 55inch Art")) ..
			"\n^UK 6 pdr AT: " .. tostring(counter.value("# 6pdr AT")) .. "" 

			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu3")
			
		elseif choice == 3 then		
			return smallNestedMenu("menu1")
		
		elseif choice == 4 then		
			return
        end
    end
	
	-- MENU 4: CHECK FOR ALLIED PARAM VALUES
	if menuType == "menu4" then
        local menuText = "Select One Allied Option!"
        local menuTable = {"Go to CW List","Go to Allied Minor List","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Maximum Allied Minor Units Allowed List")
        if choice == 1 then
			local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Maximum CW Minor Units Allowed:\n^\r^Cdn Mot. Inf.: ".. tostring(counter.value("# Cdn Mot Inf")) ..
			"\n^Cdn Sherman: " .. tostring(counter.value("# Cdn Sherman")) .. 
			"\n^Cdn M7 105mm: " .. tostring(counter.value("# Cdn M7 105mm")) ..  
			"\n^Cdn Bren: " .. tostring(counter.value("# Cdn Bren Carrier")) .. 
			"\n^Cdn Inf: " .. tostring(counter.value("# Cdn Infantry")) .. 
					
			"\n^\r^Ind Inf.: ".. tostring(counter.value("# Indian Infantry")) ..
			"\n^Ind 4th Inf: " .. tostring(counter.value("# 4th Indian Div")) .. 
			"\n^Ind Gurkhas: " .. tostring(counter.value("# Gurkhas")) ..  
			"\n^Ind 25pdr Art: " .. tostring(counter.value("# Indian 25pdr Art")) .. 
			
			"\n^\r^NZ Mot. Inf.: ".. tostring(counter.value("# NZ Mot Inf")) ..
			"\n^NZ Sherman: " .. tostring(counter.value("# NZ Sherman")) .. 
			"\n^NZ Sexton: " .. tostring(counter.value("# NZ 25pdr Art")) .. 

			"\n^\r^SA Mot. Inf.: ".. tostring(counter.value("# SA Mot Inf")) ..
			"\n^SA Sherman: " .. tostring(counter.value("# SA Sherman")) .. 
			"\n^SA Sexton: " .. tostring(counter.value("# SA Sexton")) ..  
			"\n^SA Bren: " .. tostring(counter.value("# SA Bren Carrier")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu4")

        elseif choice == 2 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Allied Minor Unit Maximum Allowed:\n^\r^Brazilian et Al.:\n^Braz. Inf: ".. tostring(counter.value("# Braz 1st Inf")) ..
			"\n^Greek Inf: " .. tostring(counter.value("# Greek Mtn Bde")) ..
			"\n^Jewsih Inf: " .. tostring(counter.value("# Jewish Bde")) ..
			
			"\n^\r^Free French:\n^FF Infanterie Coloniale: ".. tostring(counter.value("# Infanterie Coloniale")) ..
			"\n^FF Goumier: ".. tostring(counter.value("# Goumier Marocain")) ..
			"\n^FF Algerien: " .. tostring(counter.value("# Tirailleur Algerien")) .. 
			"\n^FF Inf: " .. tostring(counter.value("# Free French Infantry")) .. 
			"\n^FF 105mmm Art: " .. tostring(counter.value("# Free French 105Art")) .. 
			"\n^FF M10: " .. tostring(counter.value("# FreeFrenchM10")) ..  

			"\n^\r^Polish:\n^Pol Sherman: ".. tostring(counter.value("# Polish Sherman")) ..
			"\n^Pol Inf: " .. tostring(counter.value("# Polish Infantry")) ..  
			"\n^Pol 25pdr Art: " .. tostring(counter.value("# Polish 25pdr Art")) .. ""

			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu4")
	    
		elseif choice == 3 then		
			return smallNestedMenu("menu1")
		
		elseif choice == 4 then		
			return
        end
    end	
	

	-- MENU 5: CHECK FOR ROYAL NAVY
	if menuType == "menu5" then
        local menuText = "Select Navy Option!"
        local menuTable = {"Go to Royal Navy and USN List","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Maximum RN and USN List")
        if choice == 1 then
			local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Maximum Royal Navy and USN Units Allowed:\n^\r^RN Tribal Class DD: " .. tostring(counter.value("# Tribal Class DD")) ..
			"\n^RN Leander Class CL: " .. tostring(counter.value("# Leander Class CL")) ..
			"\n^RN York Class CA: " .. tostring(counter.value("# York Class CA")) ..
			"\n^RN QE Class BB: " .. tostring(counter.value("# QE Class BB")) ..
			"\n^RN Illustrious Class CV: " .. tostring(counter.value("# Illustrious Class CV")) ..
			"\n^RN S-Class: " .. tostring(counter.value("# S-Class")) ..
			
			"\n^\r^USN Liberty Ship: " .. tostring(counter.value("# Liberty Ship")) ..
			"\n^USN Total Oil Tankers: " .. tostring(counter.value("# Total Oil Tankers")) ..
			"\n^USN DUKW: " .. tostring(counter.value("# DUKW")) .. "" 
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu5")

		elseif choice == 2 then		
			return smallNestedMenu("menu1")			
			
		elseif choice == 3 then		
			return
        end		
	end

	-- MENU 6: CHECK FOR FLAG VALUES
	if menuType == "menu6" then
        local menuText = "Select a Flag Option!"
        local menuTable = {"Go to Flag List - Allied Special Events","Go to Flag List - Allies Captured Cities/Airfields","Go to Flag List - Docks Being Built/Built","Go to Flag List - Sea Mines Being Removed","Go to Flag List - Sea Mines Removed","Go to Flag List - Supply Depot Being Built","Go to Flag List - Supply Depot Built","Go to Flag List - US/UK Units Arrived/Withdrawn","Go to Flag List- Allied Units Arrived/Withdrawn","Go to Flag List - Axis Special Events","Go to Flag List - Axis Reaction Forces Triggered","Go to Flag List - Allied Commanders / Seasons","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Current Flag Values")
        if choice == 1 then
			local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Allies at War = ".. tostring(flag.value("Allies at War")) ..
			"\n^Patton dismissed = " .. tostring(flag.value("Patton dismissed")) .. 
			"\n^Game ends March I, 1945 = " .. tostring(flag.value("Game ends March I, 1945")) .. 
			"\n^General Montgomery Reassigned = " .. tostring(flag.value("General Montgomery Reassigned")) .. 
			"\n^General Clark Reassigned = " .. tostring(flag.value("General Clark Reassigned")) .. 

			"\n^\r^Germans evacuate Sicily = " .. tostring(flag.value("Germans evacuate Sicily")) ..
			"\n^Sicily is Conquered = " .. tostring(flag.value("Sicily is Conquered")) .. 
			"\n^2nd Invasion Available = " .. tostring(flag.value("2nd Invasion Available")) .. 
			"\n^2nd Invasion Launched = " .. tostring(flag.value("2nd Invasion Launched")) .. 
			"\n^2nd Invasion Above Gustav = " .. tostring(flag.value("2nd Invasion Above Gustav")) .. 
			"\n^Italy Surrendered = " .. tostring(flag.value("Italy Surrendered")) .. 
			"\n^3rd Invasion Available = " .. tostring(flag.value("3rd Invasion Available")) ..
			"\n^3rd Invasion Launched = " .. tostring(flag.value("2nd Invasion Launched")) .. 
			"\n^Operation Diadem Launched = " .. tostring(flag.value("Operation Diadem Launched")) .. 
			"\n^Operation Grapeshot Available = " .. tostring(flag.value("Operation Grapeshot Available")) .. 
			"\n^Operation Grapeshot Launched = " .. tostring(flag.value("Operation Grapeshot Launched")) .. 
			"\n^Italian CLN Front Activated = " .. tostring(flag.value("Italian CLN Front Activated")) .. 
			"\n^Italian CLN Partisans Activated = " .. tostring(flag.value("Italian CLN Partisans Activated")) .. 
			"\n^Polish Troops Demoralized After Yalta = " .. tostring(flag.value("Polish Troops Demoralized After Yalta")) .. 
			"\n^Allies completed first SD milestone = " .. tostring(flag.value("Allies completed first SD milestone")) ..
			"\n^Allies completed second SD milestone = " .. tostring(flag.value("Allies completed second SD milestone")) ..
			"\n^Allied automatic victory = " .. tostring(flag.value("Allied automatic victory")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu6")

        elseif choice == 2 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Airfield Captured in Bastia = " .. tostring(flag.value("Airfield Captured in Bastia")) ..
			"\n^Airfield Captured in Foggia = " .. tostring(flag.value("Airfield Captured in Foggia")) ..
			"\n^Airfield Captured in Napoli = " .. tostring(flag.value("Airfield Captured in Napoli")) ..
			"\n^Airfield Captured in ROMA = " .. tostring(flag.value("Airfield Captured in ROMA")) .. 

			"\n^\r^Bologna is captured = " .. tostring(flag.value("Bologna is captured")) .. 
			"\n^Firenze is captured = " .. tostring(flag.value("Firenze is captured")) .. 
			"\n^Livorno is captured = " .. tostring(flag.value("Livorno is captured")) .. 
			"\n^Messina is captured = " .. tostring(flag.value("Messina is captured")) .. 						
			"\n^Rimini is captured = " .. tostring(flag.value("Rimini is captured")) .. 
			"\n^Roma is captured = " .. tostring(flag.value("Roma is captured")) .. 
			"\n^Trieste is captured = " .. tostring(flag.value("Trieste is captured")) .. 
			"\n^Trieste Falls To Communists = " .. tostring(flag.value("Trieste Falls To Communists")) .. ""						
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu6")

        elseif choice == 3 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Docks being built in Bari = " .. tostring(flag.value("Docks being built in Bari")) ..
			"\n^Docks being built in Catania = " .. tostring(flag.value("Docks being built in Catania")) ..
			"\n^Docks being built in Livorno = " .. tostring(flag.value("Docks being built in Livorno")) ..
			"\n^Docks being built in Messina = " .. tostring(flag.value("Docks being built in Messina")) ..
			"\n^Docks being built in Napoli = " .. tostring(flag.value("Docks being built in Napoli")) ..
			"\n^Docks being built in Palermo = " .. tostring(flag.value("Docks being built in Palermo")) ..
			"\n^Docks being built in Taranto = " .. tostring(flag.value("Docks being built in Taranto")) ..
			"\n^Docks being built in Tunis = " .. tostring(flag.value("Docks being built in Tunis")) ..
			"\n^Docks being built in Valetta = " .. tostring(flag.value("Docks being built in Valetta")) ..
			
			"\n^\r^Docks built in Bari = " .. tostring(flag.value("Docks built in Bari")) ..
			"\n^Docks being built in Catania = " .. tostring(flag.value("Docks being built in Catania")) ..
			"\n^Docks built in Livorno = " .. tostring(flag.value("Docks built in Livorno")) ..
			"\n^Docks built in Messina = " .. tostring(flag.value("Docks built in Messina")) ..
			"\n^Docks built in Napoli = " .. tostring(flag.value("Docks built in Napoli")) ..
			"\n^Docks built in Palermo = " .. tostring(flag.value("Docks built in Palermo")) ..
			"\n^Docks built in Taranto = " .. tostring(flag.value("Docks built in Taranto")) ..
			"\n^Docks built in Tunis = " .. tostring(flag.value("Docks built in Tunis")) ..
			"\n^Docks built in Valetta = " .. tostring(flag.value("Docks built in Valetta")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu6")

        elseif choice == 4 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Sea Mines being removed from Bari = ".. tostring(flag.value("Sea Mines being removed from Bari")) ..
			"\n^Sea Mines being removed from Brindisi = ".. tostring(flag.value("Sea Mines being removed from Brindisi")) ..
			"\n^Sea Mines being removed from Catania = ".. tostring(flag.value("Sea Mines being removed from Catania")) ..
			"\n^Sea Mines being removed from Genova = ".. tostring(flag.value("Sea Mines being removed from Genova")) ..
			"\n^Sea Mines being removed from La Spezia = " .. tostring(flag.value("Sea Mines being removed from La Spezia")) ..
			"\n^Sea Mines being removed from Livorno = " .. tostring(flag.value("Sea Mines being removed from Livorno")) .. 
			"\n^Sea Mines being removed from Messina = " .. tostring(flag.value("Sea Mines being removed from Messina")) .. 
			"\n^Sea Mines being removed from Napoli = " .. tostring(flag.value("Sea Mines being removed from Napoli")) .. 
			"\n^Sea Mines being removed from Palermo = " .. tostring(flag.value("Sea Mines being removed from Palermo")) .. 
			"\n^Sea Mines being removed from Pescara = " .. tostring(flag.value("Sea Mines being removed from Pescara")) .. 
			"\n^Sea Mines being removed from Rimini = " .. tostring(flag.value("Sea Mines being removed from Rimini")) ..
			"\n^Sea Mines being removed from Siracusa = " .. tostring(flag.value("Sea Mines being removed from Siracusa")) .. 
			"\n^Sea Mines being removed from Taranto = " .. tostring(flag.value("Sea Mines being removed from Taranto")) .. 
			"\n^Sea Mines being removed from Trapani = " .. tostring(flag.value("Sea Mines being removed from Trapani")) .. 
			"\n^Sea Mines being removed from Venezia = " .. tostring(flag.value("Sea Mines being removed from Venezia")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu6")

        elseif choice == 5 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Sea Mines removed from Bari = ".. tostring(flag.value("Sea Mines removed from Bari")) ..
			"\n^Sea Mines removed from Brindisi = ".. tostring(flag.value("Sea Mines removed from Brindisi")) ..
			"\n^Sea Mines removed from Catania = ".. tostring(flag.value("Sea Mines removed from Catania")) ..
			"\n^Sea Mines removed from Genova = ".. tostring(flag.value("Sea Mines removed from Genova")) ..
			"\n^Sea Mines removed from La Spezia = " .. tostring(flag.value("Sea Mines removed from La Spezia")) ..
			"\n^Sea Mines removed from Livorno = " .. tostring(flag.value("Sea Mines removed from Livorno")) .. 
			"\n^Sea Mines removed from Messina = " .. tostring(flag.value("Sea Mines removed from Messina")) .. 
			"\n^Sea Mines removed from Napoli = " .. tostring(flag.value("Sea Mines removed from Napoli")) .. 
			"\n^Sea Mines removed from Palermo = " .. tostring(flag.value("Sea Mines removed from Palermo")) .. 
			"\n^Sea Mines removed from Pescara = " .. tostring(flag.value("Sea Mines removed from Pescara")) .. 
			"\n^Sea Mines removed from Rimini = " .. tostring(flag.value("Sea Mines removed from Rimini")) ..
			"\n^Sea Mines removed from Siracusa = " .. tostring(flag.value("Sea Mines removed from Siracusa")) .. 
			"\n^Sea Mines removed from Taranto = " .. tostring(flag.value("Sea Mines removed from Taranto")) .. 
			"\n^Sea Mines removed from Trapani = " .. tostring(flag.value("Sea Mines removed from Trapani")) .. 
			"\n^Sea Mines removed from Venezia = " .. tostring(flag.value("Sea Mines removed from Venezia")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu6") 
 
		elseif choice == 6 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Supply Depot being built in Bari = " .. tostring(flag.value("Supply Depot being built in Bari")) ..
			"\n^Supply Depot being built in Bologna = " .. tostring(flag.value("Supply Depot being built in Bologna")) ..
			"\n^Supply Depot being built in Catania = " .. tostring(flag.value("Supply Depot being built in Catania")) ..
			"\n^Supply Depot being built in Firenze = " .. tostring(flag.value("Supply Depot being built in Firenze")) ..
			"\n^Supply Depot being built in Foggia = " .. tostring(flag.value("Supply Depot being built in Foggia")) ..
			"\n^Supply Depot being built in Genova = " .. tostring(flag.value("Supply Depot being built in Genova")) ..
			"\n^Supply Depot being built in Livorno = " .. tostring(flag.value("Supply Depot being built in Livorno")) ..
			"\n^Supply Depot being built in Messina = " .. tostring(flag.value("Supply Depot being built in Messina")) ..
			"\n^Supply Depot being built in Napoli = " .. tostring(flag.value("Supply Depot being built in Napoli")) ..
			"\n^Supply Depot being built in Palermo = " .. tostring(flag.value("Supply Depot being built in Palermo")) ..
			"\n^Supply Depot being built in Pescara = " .. tostring(flag.value("Supply Depot being built in Pescara")) ..
			"\n^Supply Depot being built in Rimini = " .. tostring(flag.value("Supply Depot being built in Rimini")) ..
			"\n^Supply Depot being built in Roma = " .. tostring(flag.value("Supply Depot being built in Roma")) ..
			"\n^Supply Depot being built in Taranto = " .. tostring(flag.value("Supply Depot being built in Taranto")) .. ""	
		
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu6")

        elseif choice == 7 then
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Supply Depot built in Bari = " .. tostring(flag.value("Supply Depot built in Bari")) ..
			"\n^Supply Depot built in Bologna = " .. tostring(flag.value("Supply Depot built in Bologna")) ..
			"\n^Supply Depot built in Catania = " .. tostring(flag.value("Supply Depot built in Catania")) ..
			"\n^Supply Depot built in Firenze = " .. tostring(flag.value("Supply Depot built in Firenze")) ..
			"\n^Supply Depot built in Foggia = " .. tostring(flag.value("Supply Depot built in Foggia")) ..
			"\n^Supply Depot built in Genova = " .. tostring(flag.value("Supply Depot built in Genova")) ..			
			"\n^Supply Depot built in Livorno = " .. tostring(flag.value("Supply Depot built in Livorno")) ..
			"\n^Supply Depot built in Messina = " .. tostring(flag.value("Supply Depot built in Messina")) ..
			"\n^Supply Depot built in Napoli = " .. tostring(flag.value("Supply Depot built in Napoli")) ..
			"\n^Supply Depot built in Palermo = " .. tostring(flag.value("Supply Depot built in Palermo")) ..
			"\n^Supply Depot built in Pescara = " .. tostring(flag.value("Supply Depot built in Pescara")) ..
			"\n^Supply Depot built in Rimini = " .. tostring(flag.value("Supply Depot built in Rimini")) ..
			"\n^Supply Depot built in Roma = " .. tostring(flag.value("Supply Depot built in Roma")) ..
			"\n^Supply Depot built in Taranto = " .. tostring(flag.value("Supply Depot built in Taranto")) .. ""	
		
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu6")
	    
	    
		elseif choice == 8 then		
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^1st Infantry units withdrawn = " .. tostring(flag.value("1st Infantry units withdrawn")) ..
			"\n^10th Mountain units arrive = " .. tostring(flag.value("10th Mountain units arrive")) ..
			"\n^82nd Airborne units withdrawn = " .. tostring(flag.value("82nd Airborne units withdrawn")) ..
			"\n^M4A3 76(W) enters US armor inventory = " .. tostring(flag.value("M4A3 76(W) enters US armor inventory")) ..
			"\n^Ranger units withdrawn = " .. tostring(flag.value("Ranger units withdrawn")) ..
			"\n^Veteran US Infantry units withdrawn = " .. tostring(flag.value("Veteran US Infantry units withdrawn")) ..
			
			"\n^\r^1st Airborne units withdrawn = " .. tostring(flag.value("1st Airborne units withdrawn")) ..
			"\n^British Armored Division Deployed = " .. tostring(flag.value("British Armored Division Deployed")) ..
			"\n^Commandos units withdrawn = " .. tostring(flag.value("Commandos units withdrawn")) ..
			"\n^Churchill AVRE enters UK armor inventory = " .. tostring(flag.value("Churchill AVRE enters UK armor inventory")) ..	
			"\n^Churchill MkIV enters UK armor inventory = " .. tostring(flag.value("Churchill MkIV enters UK armor inventory")) ..
			"\n^Gurkhas units arrived = " .. tostring(flag.value("Gurkhas units arrived")) ..
			"\n^Sherman Firefly enters UK armor inventory = " .. tostring(flag.value("Sherman Firefly enters UK armor inventory")) ..
			"\n^Veteran UK Infantry units withdrawn = " .. tostring(flag.value("Veteran UK Infantry units withdrawn")) .. 			
			"\n^British 52nd Mountain Deployed = " .. tostring(flag.value("British 52nd Mountain Deployed")) .. 	

			"\n^\r^Seafire MkII carrier aircraft withdrawn = " .. tostring(flag.value("Seafire MkII carrier aircraft withdrawn")) .. 
			"\n^Fairey Barracuda carrier aircraft withdrawn = " .. tostring(flag.value("Fairey Barracuda carrier aircraft withdrawn")) .. ""
		
			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu6")

		elseif choice == 9 then	
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Canadian units withdrawn = " .. tostring(flag.value("Canadian units withdrawn")) ..
			"\n^Cdn 5th Armored units arrive = " .. tostring(flag.value("Cdn 5th Armored units arrive")) ..
			"\n^Indian Infantry units arrive = " .. tostring(flag.value("Indian Infantry units arrive")) ..
			"\n^4th Indian Infantry units arrive = " .. tostring(flag.value("4th Indian Infantry units arrive")) ..
			"\n^10th Indian Infantry units arrive = " .. tostring(flag.value("4th Indian Infantry units arrive")) ..
			"\n^New Zealand units arrive = " .. tostring(flag.value("New Zealand units arrive")) ..
			"\n^South African units arrive = " .. tostring(flag.value("South African units arrive")) ..
			
			"\n^\r^Goumier Marocain units arrive = " .. tostring(flag.value("Goumier Marocain units arrive")) ..
			"\n^Tirailleur Algerien units arrive = " .. tostring(flag.value("Tirailleur Algérien units arrive")) ..
			"\n^Free French units arrive = " .. tostring(flag.value("Free French units arrive")) ..
			"\n^Polish units arrive = " .. tostring(flag.value("Polish units arrive")) .. 

			"\n^\r^Brazil Infantry units arrive = " .. tostring(flag.value("Brazil Infantry units arrive")) ..
			"\n^Greek Infantry units arrive = " .. tostring(flag.value("Greek Infantry units arrive")) ..
			"\n^Jewish Infantry units arrive = " .. tostring(flag.value("Jewish Infantry units arrive")) .. ""			
			
			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu6")

		elseif choice == 10 then	
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Italian Prisonners Can Be Captured = ".. tostring(flag.value("Italian Prisonners Can Be Captured")) ..
			"\n^Mussolini Dismissed and Arrested = ".. tostring(flag.value("Mussolini Dismissed and Arrested")) ..
			"\n^Republic of Salo Created = ".. tostring(flag.value("Republic of Salo Created")) ..
			"\n^Regia Marina Main Battle Fleet Sorties = ".. tostring(flag.value("Regia Marina Main Battle Fleet Sorties")) .. 
			"\n^Italy Surrendered = ".. tostring(flag.value("Italy Surrendered")) ..
			"\n^Gustav Line is breached = ".. tostring(flag.value("Gustav Line is breached")) ..
			"\n^Gothic Line Construction Begun = ".. tostring(flag.value("Gothic Line Construction Begun")) ..
			"\n^Gothic Line is breached = ".. tostring(flag.value("Gothic Line is breached")) ..
			"\n^Trasimene Defensive Line Triggered = ".. tostring(flag.value("Trasimene Defensive Line Triggered")) ..
			"\n^German 10th Army Cutoff = ".. tostring(flag.value("German 10th Army Cutoff")) ..
			"\n^German 10th Army Escaped = ".. tostring(flag.value("German 10th Army Escaped")) ..
			
			"\n^\r^Display Axis Testing Messages = ".. tostring(flag.value("Display Axis Testing Messages")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu6")

		elseif choice == 11 then	
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Flag values:\n^\r^Adriatic Command triggered = ".. tostring(flag.value("Adriatic Command triggered")) .. 
			"\n^Ligurian Command triggered = ".. tostring(flag.value("Ligurian Command triggered")) ..
			"\n^Ersatz Reinforcements Triggered = ".. tostring(flag.value("Ligurian Command triggered")) ..
			
			"\n^\r^1st SS Pz Div triggered = ".. tostring(flag.value("1st SS Pz Div triggered")) ..
			"\n^2nd SS Pz Div triggered = ".. tostring(flag.value("2nd SS Pz Div triggered")) ..
			"\n^16th SS PzGr Div triggered = ".. tostring(flag.value("16th SS PzGr Div triggered")) ..
			"\n16th Pz Div triggered = ".. tostring(flag.value("16th Pz Div triggered")) ..
			"\n^24th Pz Div triggered = ".. tostring(flag.value("24th Pz Div triggered")) .. 
			"\n^26th Pz Div triggered = ".. tostring(flag.value("26th Pz Div triggered")) .. 
			"\n^3rd PzGr Div triggered = ".. tostring(flag.value("3rd PzGr Div triggered")) .. 
			"\n^90th PzGr Div triggered = ".. tostring(flag.value("90th PzGr Div triggered")) .. 

			"\n^\r^3rd Invasion Units, 1st turn, triggered = ".. tostring(flag.value("3rd Invasion Units, 1st turn, triggered")) ..
			"\n^3rd Invasion Units, 2nd turn, triggered = ".. tostring(flag.value("3rd Invasion Units, 2nd turn, triggered")) ..
			"\n^3rd Invasion Units, 3rd turn, triggered = ".. tostring(flag.value("3rd Invasion Units, 3rd turn, triggered")) ..
			"\n^No 3rd Invasion Units, 1st turn, triggered = ".. tostring(flag.value("No 3rd Invasion Units, 1st turn, triggered")) ..
			"\n^No 3rd Invasion Units, 2nd turn, triggered = ".. tostring(flag.value("No 3rd Invasion Units, 2nd turn, triggered")) ..
			"\n^No 3rd Invasion Units, 3rd turn, triggered = ".. tostring(flag.value("No 3rd Invasion Units, 3rd turn, triggered")) .. ""			
				
			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu6")


		elseif choice == 12 then	
		local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			-- "\n^\r^Flag values:\n^\r^Stacking Limit Option On? = ".. tostring(flag.value("Stacking Limit Options")) ..
			-- "\n^Ships At Sea Penalty Option = ".. tostring(flag.value("Ships At Sea Penalty Option")) ..
			--- "\n^Display Combat Power Values = ".. tostring(flag.value("Display Attacker and Defender Values")) ..
			"\n^\r^Flag values:\n^\r^Display Game Tip Pop-Ups = ".. tostring(flag.value("Display Game Tip Pop-Ups")) ..
			"\n^Display Out of Supply Pop-Ups = ".. tostring(flag.value("Display Out of Supply Pop-Ups")) .. 
			
			"\n^\r^Commander AFHQ = ".. onTurn.commanderAFHQ_Base .. 
			"\n^Commander 15th Army Group = ".. onTurn.commander15thArmy_Base .. 
			
			"\n^\r^Summer Months = ".. tostring(flag.value("Summer Months")) .. 
			"\n^Fall/Spring Months = ".. tostring(flag.value("FallSpring Months")) .. 
			"\n^Winter Months = ".. tostring(flag.value("Winter Months")) .. ""			
				
			end
			civ.ui.text(func.splitlines(messageText))
            return smallNestedMenu("menu6")
			
		elseif choice == 13 then		
			return smallNestedMenu("menu1")			
			
		elseif choice == 14 then		
			return
        end		
		
	end	

	-- MENU 7: CHECK FOR COUNTER VALUES
	if menuType == "menu7" then
        local menuText = "Select a Counter Option!"
        local menuTable = {"Go to Counter List","Return to Main Menu","Exit Menu"}
        local choice = text.menu(menuTable,menuText,"Current Counter Values")
        if choice == 1 then
			local messageText = "******** " .. onTurn.displayWeekMonthYear() .. " ********"
			if flag.value("Allies at War") == true then
			messageText = messageText .. 
			"\n^\r^Counter values:\n^\r^Command Decision # = " .. tostring(counter.value("Command Decision #")) .. 
			"\n^Special Bulletin # = " .. tostring(counter.value("Special Bulletin #")) .. 

			"\n^\r^Beachhead # = ".. tostring(counter.value("Beachhead #")) .. 
			"\n^# Landing Craft Withdrawn during 1st Invasion = " .. tostring(counter.value("# Landing Craft Withdrawn during 1st Invasion")) ..
			"\n^# Landing Craft Available for 2nd Invasion = " .. tostring(counter.value("# Landing Craft Available for 2nd Invasion")) .. 
			"\n^# Landing Craft Available for 3rd Invasion = " .. tostring(counter.value("# Landing Craft Available for 3rd Invasion")) .. 
			
			"\n^\r^# Total Allied Supplies Spent = " .. tostring(counter.value("# Total Allied Supplies Spent")) .. 
			
			"\n^\r^# Cities For Italian Surrender = " .. tostring(counter.value("# Cities For Italian Surrender")) .. 
			"\n^\r^# Gothic Line Ersatz Count = " .. tostring(counter.value("# Gothic Line Ersatz Count")) .. 
			"\n^# Gothic Line Kasematte Count = " .. tostring(counter.value("# Gothic Line Kasematte Count")) .. 
			"\n^# Gothic Line BKR back line Count = " .. tostring(counter.value("# Gothic Line BKR back line Count")) .. 
			"\n^# Gothic Line BKR front line Count = " .. tostring(counter.value("# Gothic Line BKR front line Count")) .. 
			"\n^# Gothic Line Fallschirmjager Count = " .. tostring(counter.value("# Gothic Line Fallschirmjager Count")) .. 
			"\n^# Gothic Line WSN back line Count = " .. tostring(counter.value("# Gothic Line WSN back line Count")) .. 
			"\n^# Gothic Line WSN front line Count = " .. tostring(counter.value("# Gothic Line WSN front line Count")) .. 
			"\n^# Gothic Line 105mm Art Count = " .. tostring(counter.value("# Gothic Line 105mm Art Count")) .. 
			"\n^# Gothic Line 155mm Art Count = " .. tostring(counter.value("# Gothic Line 155mm Art Count")) .. 
			"\n^# Gothic Line 37mm AA Count = " .. tostring(counter.value("# Gothic Line 37mm AA Count")) .. 
			"\n^# Gothic Line 88mm AA Count = " .. tostring(counter.value("# Gothic Line 88mm AA Count")) .. ""
			
			end
			civ.ui.text(func.splitlines(messageText))	
		    return  smallNestedMenu("menu7")

		elseif choice == 2 then		
			return smallNestedMenu("menu1")			
			
		elseif choice == 3 then		
			return
        end		
	end
	
end

return {smallNestedMenu = smallNestedMenu}

