--
--
--
local versionNumber = 2
local fileModified = true -- set this to true if you change this file for your scenario
-- if another file requires this file, it checks the version number to ensure that the
-- version is recent enough to have all the expected functionality
-- if you set fileModified to true, the error generated if this file is out of date will
-- warn you that you've modified this file
--
--
--
local gen = require("generalLibrary"):minVersion(1)
local param = require("parameters")
local flag = require("flag")
local object = require("object")

local discreteEvents = require("discreteEventsRegistrar"):minVersion(2)
gen.minEventsLuaVersion(2,1,"seasonSettings.lua")
local changeRules = require("changeRules")
--
-- If you need to reset all the values for a season
-- (perhaps terrain was given a special bonus for some
-- reason), just run the function season.setSeason()
-- (After ensuring there is a line
-- local seasons=require("seasons")
-- in the file)

-- you may find the functionality of changeRules.lua to be helpful
-- in this file

local seasons = {}


-- set everything that changes for "winter"
-- feel free to rename the seasons whatever you
-- want
local function setSummer()

	-- if civ.getTurn() == 1 then
		-- --setSummer()
		
		-- civ.ui.loadTerrain(0, 'Terrain1_SUMMER.bmp', 'Terrain2_SUMMER.bmp')
		-- civ.ui.loadImage('Cities/Cities.bmp')		
		-- civ.ui.text("It is Summer 1943!")
		-- flag.setTrue("Summer 1943")
		-- if totpp.movementMultipliers then
			-- totpp.movementMultipliers.road=2
			-- totpp.movementMultipliers.railroad=4
		-- else
			-- civ.cosmic.roadMultiplier=2
		-- end
		
		-- local multiplier = civ.cosmic.roadMultiplier
		-- civ.getUnitType(1).move = 2*multiplier --g Detachment in winter
	-- end

end

-- set everything that changes for "summer"
local function setWinter()

	-- if civ.getTurn() == 2 then
		-- --setWinter()
		-- civ.ui.loadTerrain(0, 'Terrain1_WINTER.bmp', 'Terrain2_WINTER.bmp')

		-- civ.ui.text("It is winter 1943!")
		-- flag.setFalse("Summer 1943")
		-- flag.setTrue("Winter 1943-1944")
		-- if totpp.movementMultipliers then
			-- totpp.movementMultipliers.road=1
			-- totpp.movementMultipliers.railroad=2
		-- else
			-- civ.cosmic.roadMultiplier=1
		-- end
		
		-- local multiplier = civ.cosmic.roadMultiplier
		-- civ.getUnitType(1).move = 1*multiplier --g Detachment in winter
	-- end

end








function seasons.setSeason()
    -- by default, setSeason does nothing,
    -- since, by default, there are no special seasons
    
    -- use civ.getTurn() and whatever else to determine
    -- what season you wish to set
    -- if something then
    --      setSummer()
    --  else
    --      setWinter()
	
	-- SUMMER
	
	if (civ.getTurn() >= 1 and civ.getTurn() <= 14) or (civ.getTurn() >= 39 and civ.getTurn() <= 62) or civ.getTurn() >= 87  then
		-- setSummer()
		
		civ.ui.loadTerrain(0, 'Terrain/Terrain1_SUMMER.bmp', 'Terrain/Terrain2_SUMMER.bmp')
		civ.ui.loadTerrain(1, 'Terrain/Terrain3_SUMMER.bmp', 'Terrain/Terrain4_SUMMER.bmp')
		-- civ.ui.loadTerrain(0, 'Terrain/Terrain1_FALL.bmp', 'Terrain/Terrain2_FALL.bmp')
		-- civ.ui.loadTerrain(1, 'Terrain/Terrain3_FALL.bmp', 'Terrain/Terrain4_FALL.bmp')
		-- civ.ui.loadTerrain(0, 'Terrain/Terrain1_WINTER.bmp', 'Terrain/Terrain2_WINTER.bmp')
		-- civ.ui.loadTerrain(1, 'Terrain/Terrain3_WINTER.bmp', 'Terrain/Terrain4_WINTER.bmp')
		-- civ.ui.loadImage('units/units_189.bmp')		
		
		-- civ.ui.text("It is Summer 1943!")
		-- flag.setTrue("Summer Months")
		-- flag.setFalse("Winter Months")
		
		-- MODIFY IF YOU WANT TO CHANGE ROAD/RR MOVEMENT MULITPLIERS
		if totpp.movementMultipliers then
			totpp.movementMultipliers.road=2
			totpp.movementMultipliers.railroad=4
			totpp.movementMultipliers.alpine = 2 --<-- added line
		else
			civ.cosmic.roadMultiplier=2
		end

		
		-- MODIFY IF YOU WANT TO CHANGE UNITS BASE MP'S
		local multiplier = civ.cosmic.roadMultiplier
		-- civ.getUnitType(1).move = 5 * multiplier -- Engineer in Summer
		-- Air units
		civ.getUnitType(58).move = 44 * multiplier -- B-24		
		civ.getUnitType(59).move = 38 * multiplier -- B-25
		civ.getUnitType(60).move = 32 * multiplier -- B-26		
		civ.getUnitType(61).move = 56 * multiplier -- B-17	
		
		civ.getUnitType(67).move = 30 * multiplier -- Martin Baltimore	
		civ.getUnitType(68).move = 60 * multiplier -- Vickers Wellington	
		civ.getUnitType(69).move = 27 * multiplier -- Boston III	
		civ.getUnitType(70).move = 50 * multiplier -- Sunderland III	
	
		-- MODIFY IF YOU WANT TO CHANGE THE 'PASSABLE' NATURE OF TERRAIN
		-- object.bGrassland.impassable = false
		
		-- MODIFY IF YOU WANT TO CHANGE DEFENSIVE VALUE OF TERRAIN
		object.bBeach.defense = 2                 
		object.bRough.defense = 3                 
		object.bTemperateGrassland.defense = 2     
		object.bForest.defense = 3                
		object.bHills.defense = 4                 
		object.bApennines.defense = 5              
		object.bGrassland.defense = 2             
		object.bImpassable.defense = 2             
		object.bSwamp.defense = 1                 
		object.bTownCenter.defense = 4             
		object.bOcean.defense = 2                 
		object.bRiverbed.defense = 1               
		object.bTemperateHills.defense = 4          
		object.bTemperateRough.defense = 3         
		object.bTemperateRiverbed.defense = 1       
		object.bRiverCrossing.defense = 1          
	
		-- MODIFY IF YOU WANT TO CHANGE MOVEMENT COST OF TERRAIN
		object.bBeach.moveCost = 2                 
		object.bRough.moveCost = 2                 
		object.bTemperateGrassland.moveCost = 1    
		object.bForest.moveCost = 2                
		object.bHills.moveCost = 3                 
		object.bApennines.moveCost = 4             
		object.bGrassland.moveCost = 1             
		object.bImpassable.moveCost = 9             
		object.bSwamp.moveCost = 3                  
		object.bTownCenter.moveCost = 1             
		object.bOcean.moveCost = 1                 
		object.bRiverbed.moveCost = 3               
		object.bTemperateHills.moveCost = 3          
		object.bTemperateRough.moveCost = 2         
		object.bTemperateRiverbed.moveCost = 3       
		object.bRiverCrossing.moveCost = 2
		
	
	-- FALL / SPRING
	elseif (civ.getTurn() >= 15 and civ.getTurn() <= 20) or (civ.getTurn() >= 33 and civ.getTurn() <= 38) or (civ.getTurn() >= 63 and civ.getTurn() <= 68) or (civ.getTurn() >= 81 and civ.getTurn() <= 86) then
		-- setFallSpring()
		civ.ui.loadTerrain(0, 'Terrain/Terrain1_FALL.bmp', 'Terrain/Terrain2_FALL.bmp')
		civ.ui.loadTerrain(1, 'Terrain/Terrain3_FALL.bmp', 'Terrain/Terrain4_FALL.bmp')
		-- civ.ui.text("It is winter 1943!")
		-- flag.setFalse("FallSpring Months")
		-- flag.setTrue("Winter Months")
		
		-- MODIFY IF YOU WANT TO CHANGE ROAD/RR MOVEMENT MULTIPLIERS
		if totpp.movementMultipliers then
			totpp.movementMultipliers.road=1
			totpp.movementMultipliers.railroad=3
			totpp.movementMultipliers.alpine = 1 
		else
			civ.cosmic.roadMultiplier=1
		end
		
		-- MODIFY IF YOU WANT TO CHANGE UNITS BASE MP'S
		local multiplier = civ.cosmic.roadMultiplier
		civ.getUnitType(1).move = 4 * multiplier -- Engineer in Fall/Spring
		civ.getUnitType(75).move = 4 * multiplier -- DUKW in Fall/Spring
		-- Leaders		
		civ.getUnitType(72).move = 6 * multiplier -- Gen Patton in Fall/Spring		
		civ.getUnitType(73).move = 3 * multiplier -- Gen Clark in Fall/Spring
		civ.getUnitType(74).move = 4 * multiplier -- Gen Truscott in Fall/Spring
		civ.getUnitType(90).move = 5 * multiplier -- Gen Montgomery in Fall/Spring
		civ.getUnitType(91).move = 5 * multiplier -- Gen Leese in Fall/Spring

		-- Air units
		civ.getUnitType(58).move = 44 * multiplier -- B-24		
		civ.getUnitType(59).move = 38 * multiplier -- B-25
		civ.getUnitType(60).move = 32 * multiplier -- B-26		
		civ.getUnitType(61).move = 56 * multiplier -- B-17	
		
		civ.getUnitType(67).move = 30 * multiplier -- Martin Baltimore	
		civ.getUnitType(68).move = 60 * multiplier -- Vickers Wellington	
		civ.getUnitType(69).move = 27 * multiplier -- Boston III	
		civ.getUnitType(70).move = 50 * multiplier -- Sunderland III	

		
		-- MODIFY IF YOU WANT TO CHANGE THE 'PASSABLE' NATURE OF TERRAIN
		-- object.bGrassland.impassable = true
		
		-- MODIFY IF YOU WANT TO CHANGE DEFENSIVE VALUE OF TERRAIN
		object.bBeach.defense = 2                 
		object.bRough.defense = 4                 
		object.bTemperateGrassland.defense = 2     
		object.bForest.defense = 2                
		object.bHills.defense = 5                 
		object.bApennines.defense = 6              
		object.bGrassland.defense = 2             
		object.bImpassable.defense = 2             
		object.bSwamp.defense = 1                 
		object.bTownCenter.defense = 4             
		object.bOcean.defense = 2                 
		object.bRiverbed.defense = 1               
		object.bTemperateHills.defense = 5          
		object.bTemperateRough.defense = 4         
		object.bTemperateRiverbed.defense = 1       
		object.bRiverCrossing.defense = 1          
	
		-- MODIFY IF YOU WANT TO CHANGE MOVEMENT COST OF TERRAIN
		object.bBeach.moveCost = 3                 
		object.bRough.moveCost = 4                 
		object.bTemperateGrassland.moveCost = 3    
		object.bForest.moveCost = 3                
		object.bHills.moveCost = 5                 
		object.bApennines.moveCost = 6             
		object.bGrassland.moveCost = 3             
		object.bImpassable.moveCost = 9             
		object.bSwamp.moveCost = 4                  
		object.bTownCenter.moveCost = 1             
		object.bOcean.moveCost = 1                 
		object.bRiverbed.moveCost = 5               
		object.bTemperateHills.moveCost = 5          
		object.bTemperateRough.moveCost = 4         
		object.bTemperateRiverbed.moveCost = 5       
		object.bRiverCrossing.moveCost = 4
	
	
	-- WINTER
	elseif (civ.getTurn() >= 21 and civ.getTurn() <= 32) or (civ.getTurn() >= 69 and civ.getTurn() <= 80) then
		-- setWinter()
		civ.ui.loadTerrain(0, 'Terrain/Terrain1_WINTER.bmp', 'Terrain/Terrain2_WINTER.bmp')
		civ.ui.loadTerrain(1, 'Terrain/Terrain3_WINTER.bmp', 'Terrain/Terrain4_WINTER.bmp')
		-- civ.ui.text("It is winter 1943!")
		-- flag.setFalse("Fall Months")
		-- flag.setTrue("Winter Months")
		
		-- MODIFY IF YOU WANT TO CHANGE ROAD/RR MOVEMENT MULTIPLIERS
		if totpp.movementMultipliers then
			totpp.movementMultipliers.road=1
			totpp.movementMultipliers.railroad=2
			totpp.movementMultipliers.alpine = 1
		else
			civ.cosmic.roadMultiplier=1
		end
		
		-- MODIFY IF YOU WANT TO CHANGE UNITS BASE MP'S
		local multiplier = civ.cosmic.roadMultiplier
		civ.getUnitType(1).move = 4 * multiplier -- Engineer in Winter
		civ.getUnitType(75).move = 4 * multiplier -- DUKW in Winter
		-- Naval Units
		civ.getUnitType(32).move = 17 * multiplier -- Sella Class DD in Winter	
		civ.getUnitType(33).move = 17 * multiplier -- Giusanno Class CL in Winter	
		civ.getUnitType(34).move = 14 * multiplier -- Littorio Class BB in Winter	
		-- civ.getUnitType(35).move = 12 * multiplier -- Sottomarino in Winter	
		-- civ.getUnitType(36).move = 15 * multiplier -- Type IXC in Winter			
		civ.getUnitType(37).move = 17 * multiplier -- Tribal Class DD in Winter	
		civ.getUnitType(38).move = 17 * multiplier -- Leander Class CL in Winter	
		civ.getUnitType(39).move = 17 * multiplier -- York Class CA in Winter	
		civ.getUnitType(40).move = 14 * multiplier -- QE Class BB in Winter	
		-- civ.getUnitType(41).move = 12 * multiplier -- S Class in Winter	
		civ.getUnitType(42).move = 14 * multiplier -- Illustrious Class CV in Winter	
		civ.getUnitType(45).move = 17 * multiplier -- Liberty Ship in Winter	
		civ.getUnitType(46).move = 15 * multiplier -- Landing Craft in Winter	
		-- Leaders
		civ.getUnitType(72).move = 6 * multiplier -- Gen Patton in Fall/Spring		
		civ.getUnitType(73).move = 3 * multiplier -- Gen Clark in Fall/Spring
		civ.getUnitType(74).move = 4 * multiplier -- Gen Truscott in Fall/Spring
		civ.getUnitType(90).move = 5 * multiplier -- Gen Montgomery in Fall/Spring
		civ.getUnitType(91).move = 5 * multiplier -- Gen Leese in Fall/Spring				
		-- Oil Tankers
		-- civ.getUnitType(184).move = 25 * multiplier -- Oil Tanker (F) in Fall/Spring
		-- civ.getUnitType(185).move = 25 * multiplier -- Oil Tanker (E) in Fall/Spring		
		-- Air units
		civ.getUnitType(58).move = 44 * multiplier -- B-24		
		civ.getUnitType(59).move = 38 * multiplier -- B-25
		civ.getUnitType(60).move = 32 * multiplier -- B-26		
		civ.getUnitType(61).move = 56 * multiplier -- B-17	
		
		civ.getUnitType(67).move = 30 * multiplier -- Martin Baltimore	
		civ.getUnitType(68).move = 60 * multiplier -- Vickers Wellington	
		civ.getUnitType(69).move = 27 * multiplier -- Boston III	
		civ.getUnitType(70).move = 50 * multiplier -- Sunderland III	

		-- MODIFY IF YOU WANT TO CHANGE THE 'PASSABLE' NATURE OF TERRAIN
		-- object.bGrassland.impassable = true
		
		-- MODIFY IF YOU WANT TO CHANGE DEFENSIVE VALUE OF TERRAIN
		object.bBeach.defense = 3                 
		object.bRough.defense = 4                 
		object.bTemperateGrassland.defense = 2     
		object.bForest.defense = 2                
		object.bHills.defense = 5                 
		object.bApennines.defense = 6              
		object.bGrassland.defense = 2             
		object.bImpassable.defense = 2             
		object.bSwamp.defense = 1                 
		object.bTownCenter.defense = 4             
		object.bOcean.defense = 2                 
		object.bRiverbed.defense = 1               
		object.bTemperateHills.defense = 5          
		object.bTemperateRough.defense = 4         
		object.bTemperateRiverbed.defense = 1       
		object.bRiverCrossing.defense = 1          
	
		-- MODIFY IF YOU WANT TO CHANGE MOVEMENT COST OF TERRAIN
		object.bBeach.moveCost = 2                 
		object.bRough.moveCost = 3                 
		object.bTemperateGrassland.moveCost = 2    
		object.bForest.moveCost = 3                
		object.bHills.moveCost = 4                 
		object.bApennines.moveCost = 5             
		object.bGrassland.moveCost = 2             
		object.bImpassable.moveCost = 9             
		object.bSwamp.moveCost = 3                  
		object.bTownCenter.moveCost = 1             
		object.bOcean.moveCost = 1                 
		object.bRiverbed.moveCost = 4               
		object.bTemperateHills.moveCost = 4          
		object.bTemperateRough.moveCost = 3         
		object.bTemperateRiverbed.moveCost = 4       
		object.bRiverCrossing.moveCost = 3	
		
	end

end

-- Events.lua automatically runs onChooseSeason at the very start of the onTurn event
-- and at the very start of the onScenarioLoaded event.

function discreteEvents.onChooseSeason()
    seasons.setSeason()
end

gen.versionFunctions(seasons,versionNumber,fileModified,"MechanicsFiles".."\\".."seasonSettings.lua")
return seasons
