 
// This file is to support autoCanBuild.html, and possibly others.
// It provides a means of accessing relevant scenario information in order
// to build code.

// Unit Types
const unitList = [
	{name:"Fanteria Veterana", id:0,code:"object.uFanteriaVeterana"},
	{name:"Engineer", id:1,code:"object.uEngineer"},
	{name:"Bersaglieri", id:2,code:"object.uBersaglieri"},
	{name:"British Veteran", id:3,code:"object.uBritishVeteran"},
	{name:"G.I. Veteran", id:4,code:"object.uGIVeteran"},
	{name:"Infanterie Veteranen", id:5,code:"object.uInfanterieVeteranen"},
	{name:"Widerstandsnest", id:6,code:"object.uWiderstandsnest"},
	{name:"Reggimento Costiero", id:7,code:"object.uReggimentoCostiero"},
	{name:"MSVN", id:8,code:"object.uMSVN"},
	{name:"Partigiani", id:9,code:"object.uPartigiani"},
	{name:"Marines", id:10,code:"object.uMarines"},
	{name:"Paracadutisto", id:11,code:"object.uParacadutisto"},
	{name:"Prigionieri di guerra", id:12,code:"object.uPrigionieridiguerra"},
	{name:"Fallschirmjger", id:13,code:"object.uFallschirmjager"},
	{name:"Gebirgsjger", id:14,code:"object.uGebirgsjager"},
	{name:"Sea Mines", id:15,code:"object.uSeaMines"},
	{name:"Bunker", id:16,code:"object.uBunker"},
	{name:"Kasematte", id:17,code:"object.uKasematte"},
	{name:"Pzkw VG", id:18,code:"object.uPzkwVG"},
	{name:"Pzkw VIE", id:19,code:"object.uPzkwVIE"},
	{name:"PanzerGrenadier", id:20,code:"object.uPanzerGrenadier"},
	{name:"Panzerschreck", id:21,code:"object.uPanzerschreck"},
	{name:"Stug IIIG", id:22,code:"object.uStugIIIG"},
	{name:"3.7cm Flak 36", id:23,code:"object.u37cmFlak36"},
	{name:"8.8cm Flak 37", id:24,code:"object.u88cmFlak37"},
	{name:"10.5cm leFH18", id:25,code:"object.u105cmleFH18"},
	{name:"15cm sIG33", id:26,code:"object.u15cmsIG33"},
	{name:"Me-109G", id:27,code:"object.uMe109G"},
	{name:"FW-190A", id:28,code:"object.uFW190A"},
	{name:"Me-110", id:29,code:"object.uMe110"},
	{name:"Do-217E", id:30,code:"object.uDo217E"},
	{name:"Ju-88", id:31,code:"object.uJu88"},
	{name:"Sella Class DD", id:32,code:"object.uSellaClassDD"},
	{name:"Giusanno Class CL", id:33,code:"object.uGiusannoClassCL"},
	{name:"Littorio Class BB", id:34,code:"object.uLittorioClassBB"},
	{name:"Sottomarino", id:35,code:"object.uSottomarino"},
	{name:"Type IXC", id:36,code:"object.uTypeIXC"},
	{name:"Tribal Class DD", id:37,code:"object.uTribalClassDD"},
	{name:"Leander Class CL", id:38,code:"object.uLeanderClassCL"},
	{name:"York Class CA", id:39,code:"object.uYorkClassCA"},
	{name:"QE Class BB", id:40,code:"object.uQEClassBB"},
	{name:"S-Class", id:41,code:"object.uSClass"},
	{name:"Illustrious Class CV", id:42,code:"object.uIllustriousClassCV"},
	{name:"Seafire Mk.II", id:43,code:"object.uSeafireMkII"},
	{name:"Fairey Barracuda", id:44,code:"object.uFaireyBarracuda"},
	{name:"Liberty Ship", id:45,code:"object.uLibertyShip"},
	{name:"Landing Craft", id:46,code:"object.uLandingCraft"},
	{name:"Beachhead", id:47,code:"object.uBeachhead"},
	{name:"M8 Greyhound", id:48,code:"object.uM8Greyhound"},
	{name:"Elite-Jagdgeschwader", id:49,code:"object.uEliteJagdgeschwader"},
	{name:"C.200 Saetta", id:50,code:"object.uC200Saetta"},
	{name:"C.202 Folgore", id:51,code:"object.uC202Folgore"},
	{name:"SM.79 Sparviero", id:52,code:"object.uSM79Sparviero"},
	{name:"Z.1007 Alcione", id:53,code:"object.uZ1007Alcione"},
	{name:"P-40 Warhawk", id:54,code:"object.uP40Warhawk"},
	{name:"P-38 Lightning", id:55,code:"object.uP38Lightning"},
	{name:"P-51D Mustang", id:56,code:"object.uP51DMustang"},
	{name:"A-36 Apache", id:57,code:"object.uA36Apache"},
	{name:"B-24 Liberator", id:58,code:"object.uB24Liberator"},
	{name:"B-25 Mitchell", id:59,code:"object.uB25Mitchell"},
	{name:"B-26 Marauder", id:60,code:"object.uB26Marauder"},
	{name:"B-17 Fortress", id:61,code:"object.uB17Fortress"},
	{name:"C-47 Dakota", id:62,code:"object.uC47Dakota"},
	{name:"Beaufighter Mk.VI", id:63,code:"object.uBeaufighterMkVI"},
	{name:"Kittyhawk", id:64,code:"object.uKittyhawk"},
	{name:"Spitfire Mk.IX", id:65,code:"object.uSpitfireMkIX"},
	{name:"Hurricane IIc", id:66,code:"object.uHurricaneIIc"},
	{name:"Martin Baltimore", id:67,code:"object.uMartinBaltimore"},
	{name:"Vickers Wellington", id:68,code:"object.uVickersWellington"},
	{name:"Boston III", id:69,code:"object.uBostonIII"},
	{name:"Sunderland III", id:70,code:"object.uSunderlandIII"},
	{name:"Waco Glider", id:71,code:"object.uWacoGlider"},
	{name:"Gen. Patton", id:72,code:"object.uGenPatton"},
	{name:"Gen. Clark", id:73,code:"object.uGenClark"},
	{name:"Gen. Truscott", id:74,code:"object.uGenTruscott"},
	{name:"DUKW", id:75,code:"object.uDUKW"},
	{name:"Armored Infantry", id:76,code:"object.uArmoredInfantry"},
	{name:"M5 Stuart", id:77,code:"object.uM5Stuart"},
	{name:"M4A1 Sherman", id:78,code:"object.uM4A1Sherman"},
	{name:"M4A3 76(W) Sherman", id:79,code:"object.uM4A376WSherman"},
	{name:"M10 Wolverine", id:80,code:"object.uM10Wolverine"},
	{name:"Ranger", id:81,code:"object.uRanger"},
	{name:"82nd Airborne", id:82,code:"object.u82ndAirborne"},
	{name:"M1 57mm AT.", id:83,code:"object.uM157mmAT"},
	{name:"M7 105mm HMC", id:84,code:"object.uM7105mmHMC"},
	{name:"M12 155mm HMC", id:85,code:"object.uM12155mmHMC"},
	{name:"US Bofors 40mm AA", id:86,code:"object.uUSBofors40mmAA"},
	{name:"M2A1 105mm Art.", id:87,code:"object.uM2A1105mmArt"},
	{name:"M1 155mm Art.", id:88,code:"object.uM1155mmArt"},
	{name:"US Truck", id:89,code:"object.uUSTruck"},
	{name:"Gen. Montgomery", id:90,code:"object.uGenMontgomery"},
	{name:"Gen. Leese", id:91,code:"object.uGenLeese"},
	{name:"British PIAT", id:92,code:"object.uBritishPIAT"},
	{name:"British MG", id:93,code:"object.uBritishMG"},
	{name:"Daimler AC", id:94,code:"object.uDaimlerAC"},
	{name:"Sherman IIa (Bde)", id:95,code:"object.uShermanIIaBde"},
	{name:"Churchill Mk.IV", id:96,code:"object.uChurchillMkIV"},
	{name:"Sherman VC Firefly", id:97,code:"object.uShermanVCFirefly"},
	{name:"UK Truck", id:98,code:"object.uUKTruck"},
	{name:"Commandos", id:99,code:"object.uCommandos"},
	{name:"1st Airborne", id:100,code:"object.u1stAirborne"},
	{name:"6 pdr AT.", id:101,code:"object.u6pdrAT"},
	{name:"British Motor Troops", id:102,code:"object.uBritishMotorTroops"},
	{name:"Sherman IIa", id:103,code:"object.uShermanIIa"},
	{name:"Bishop 25pdr", id:104,code:"object.uBishop25pdr"},
	{name:"UK Bofors 40mm AA", id:105,code:"object.uUKBofors40mmAA"},
	{name:"25 pdr MKII Art.", id:106,code:"object.u25pdrMKIIArt"},
	{name:"5.5 inch Art.", id:107,code:"object.u55inchArt"},
	{name:"Fanteria Motorizzata", id:108,code:"object.uFanteriaMotorizzata"},
	{name:"M13/40", id:109,code:"object.uM1340"},
	{name:"Semovente 75/18", id:110,code:"object.uSemovente7518"},
	{name:"AB 41", id:111,code:"object.uAB41"},
	{name:"20/65 AA.", id:112,code:"object.u2065AA"},
	{name:"75/46 AA.", id:113,code:"object.u7546AA"},
	{name:"75/27 Art.", id:114,code:"object.u7527Art"},
	{name:"105/28 Art.", id:115,code:"object.u10528Art"},
	{name:"149/40 Art.", id:116,code:"object.u14940Art"},
	{name:"Cdn Mot. Inf.", id:117,code:"object.uCdnMotInf"},
	{name:"Cdn Sherman III", id:118,code:"object.uCdnShermanIII"},
	{name:"Cdn M7 105mm", id:119,code:"object.uCdnM7105mm"},
	{name:"Cdn Motor Troops", id:120,code:"object.uCdnMotorTroops"},
	{name:"Cdn Infantry", id:121,code:"object.uCdnInfantry"},
	{name:"Radar Station", id:122,code:"object.uRadarStation"},
	{name:"Kstenbatterie", id:123,code:"object.uKustenbatterie"},
	{name:"Krupp K5", id:124,code:"object.uKruppK5"},
	{name:"Pontoon Bridge", id:125,code:"object.uPontoonBridge"},
	{name:"SA Mot. Inf.", id:126,code:"object.uSAMotInf"},
	{name:"SA Sherman III", id:127,code:"object.uSAShermanIII"},
	{name:"SA Sexton", id:128,code:"object.uSASexton"},
	{name:"SA Motor Troops", id:129,code:"object.uSAMotorTroops"},
	{name:"Braz. 1st Inf.", id:130,code:"object.uBraz1stInf"},
	{name:"Gurkhas", id:131,code:"object.uGurkhas"},
	{name:"Indian Infantry", id:132,code:"object.uIndianInfantry"},
	{name:"4th Indian Div.", id:133,code:"object.u4thIndianDiv"},
	{name:"Indian 25 pdr Art.", id:134,code:"object.uIndian25pdrArt"},
	{name:"Polish Infantry", id:135,code:"object.uPolishInfantry"},
	{name:"Polish Sherman III", id:136,code:"object.uPolishShermanIII"},
	{name:"Polish 25 pdr Art.", id:137,code:"object.uPolish25pdrArt"},
	{name:"Infanterie Coloniale", id:138,code:"object.uInfanterieColoniale"},
	{name:"Goumier Marocain", id:139,code:"object.uGoumierMarocain"},
	{name:"Tirailleur Algrien", id:140,code:"object.uTirailleurAlgerien"},
	{name:"Free French Infantry", id:141,code:"object.uFreeFrenchInfantry"},
	{name:"Free French 105 Art.", id:142,code:"object.uFreeFrench105Art"},
	{name:"Free French M10", id:143,code:"object.uFreeFrenchM10"},
	{name:"NZ Mot. Inf.", id:144,code:"object.uNZMotInf"},
	{name:"NZ Sherman III", id:145,code:"object.uNZShermanIII"},
	{name:"NZ 25 pdr Art.", id:146,code:"object.uNZ25pdrArt"},
	{name:"Grille H sIG33", id:147,code:"object.uGrilleHsIG33"},
	{name:"15cm Nebelwefer 41", id:148,code:"object.u15cmNebelwefer41"},
	{name:"Pzkw IVF", id:149,code:"object.uPzkwIVF"},
	{name:"Pzkw IVH", id:150,code:"object.uPzkwIVH"},
	{name:"Mot. Infanterie", id:151,code:"object.uMotInfanterie"},
	{name:"SdkFz 231", id:152,code:"object.uSdkFz231"},
	{name:"Greek Mtn. Bde", id:153,code:"object.uGreekMtnBde"},
	{name:"SdkFz 7/2 AA", id:154,code:"object.uSdkFz72AA"},
	{name:"SS SdkFz 7/2 AA", id:155,code:"object.uSSSdkFz72AA"},
	{name:"SS Panzergrenadier", id:156,code:"object.uSSPanzergrenadier"},
	{name:"SS Panther", id:157,code:"object.uSSPanther"},
	{name:"SS Hummel", id:158,code:"object.uSSHummel"},
	{name:"SS Pzkw IV", id:159,code:"object.uSSPzkwIV"},
	{name:"SS Mot. Infanterie", id:160,code:"object.uSSMotInfanterie"},
	{name:"SS SdkFz 234/2", id:161,code:"object.uSSSdkFz2342"},
	{name:"Jewish Bde", id:162,code:"object.uJewishBde"},
	{name:"G.I. Regular", id:163,code:"object.uGIRegular"},
	{name:"US 1st Infantry", id:164,code:"object.uUS1stInfantry"},
	{name:"US 10th Mountain", id:165,code:"object.uUS10thMountain"},
	{name:"US Bazooka", id:166,code:"object.uUSBazooka"},
	{name:"M4A1 Sherman (Ind)", id:167,code:"object.uM4A1ShermanInd"},
	{name:"British Regular", id:168,code:"object.uBritishRegular"},
	{name:"Cromwell Mk.VII", id:169,code:"object.uCromwellMkVII"},
	{name:"Churchill AVRE", id:170,code:"object.uChurchillAVRE"},
	{name:"Heavy Shell", id:171,code:"object.uHeavyShell"},
	{name:"105mm Shell", id:172,code:"object.u105mmShell"},
	{name:"155mm Shell", id:173,code:"object.u155mmShell"},
	{name:"Light Bombload", id:174,code:"object.uLightBombload"},
	{name:"Medium Bombload", id:175,code:"object.uMediumBombload"},
	{name:"Heavy Bombload", id:176,code:"object.uHeavyBombload"},
	{name:"Light Flak", id:177,code:"object.uLightFlak"},
	{name:"Heavy Flak", id:178,code:"object.uHeavyFlak"},
	{name:"Mortar Shells", id:179,code:"object.uMortarShells"},
	{name:"Torpedo", id:180,code:"object.uTorpedo"},
	{name:"Fritz-X", id:181,code:"object.uFritzX"},
	{name:"Railroad Yard", id:182,code:"object.uRailroadYard"},
	{name:"Docks", id:183,code:"object.uDocks"},
	{name:"Oil Tanker (F)", id:184,code:"object.uOilTankerF"},
	{name:"Oil Tanker (E)", id:185,code:"object.uOilTankerE"},
	{name:"Supply Hub", id:186,code:"object.uSupplyHub"},
	{name:"Gen. McCreery", id:187,code:"object.uGenMcCreery"},
	{name:"British 52nd Mtn", id:188,code:"object.uBritish52ndMtn"},
]

// Tribes/Players
const tribeList = [
	{name:"Barbarians", id:0,code:"object.pBarbarians"},
	{name:"Axis", id:1,code:"object.pAxis"},
	{name:"Japanese", id:2,code:"object.pJapanese"},
	{name:"Germans", id:3,code:"object.pGermans"},
	{name:"Spanish", id:4,code:"object.pSpanish"},
	{name:"Americans", id:5,code:"object.pAmericans"},
	{name:"Allies", id:6,code:"object.pAllies"},
	{name:"Indians", id:7,code:"object.pIndians"},
]

// Improvements
const improvementList = [
	{name:"Nothing", id:0,code:"object.iNothing"},
	{name:"Headquarters", id:1,code:"object.iHeadquarters"},
	{name:"Barracks", id:2,code:"object.iBarracks"},
	{name:"Granary", id:3,code:"object.iGranary"},
	{name:"Newspaper", id:4,code:"object.iNewspaper"},
	{name:"Rail Station", id:5,code:"object.iRailStation"},
	{name:"Design bureau", id:6,code:"object.iDesignbureau"},
	{name:"Military Tribunal", id:7,code:"object.iMilitaryTribunal"},
	{name:"Anti-Tank Defenses", id:8,code:"object.iAntiTankDefenses"},
	{name:"Aqueduct", id:9,code:"object.iAqueduct"},
	{name:"Bank", id:10,code:"object.iBank"},
	{name:"Cinema", id:11,code:"object.iCinema"},
	{name:"University", id:12,code:"object.iUniversity"},
	{name:"Mass Transit", id:13,code:"object.iMassTransit"},
	{name:"Radio Station", id:14,code:"object.iRadioStation"},
	{name:"Factory", id:15,code:"object.iFactory"},
	{name:"Manufacturing Plant", id:16,code:"object.iManufacturingPlant"},
	{name:"SDI Defense", id:17,code:"object.iSDIDefense"},
	{name:"Supply Depot", id:18,code:"object.iSupplyDepot"},
	{name:"Electricity", id:19,code:"object.iElectricity"},
	{name:"Hydro Plant", id:20,code:"object.iHydroPlant"},
	{name:"Nuclear Plant", id:21,code:"object.iNuclearPlant"},
	{name:"Stock Exchange", id:22,code:"object.iStockExchange"},
	{name:"Hospital", id:23,code:"object.iHospital"},
	{name:"Industrial Farming", id:24,code:"object.iIndustrialFarming"},
	{name:"Superhighways", id:25,code:"object.iSuperhighways"},
	{name:"Research Lab", id:26,code:"object.iResearchLab"},
	{name:"Anti-Aircraft Battery", id:27,code:"object.iAntiAircraftBattery"},
	{name:"Shore Battery", id:28,code:"object.iShoreBattery"},
	{name:"Solar Plant", id:29,code:"object.iSolarPlant"},
	{name:"Fishing Port", id:30,code:"object.iFishingPort"},
	{name:"Offshore Platform", id:31,code:"object.iOffshorePlatform"},
	{name:"Airport", id:32,code:"object.iAirport"},
	{name:"Military Police", id:33,code:"object.iMilitaryPolice"},
	{name:"Naval Yard", id:34,code:"object.iNavalYard"},
	{name:"Transporter", id:35,code:"object.iTransporter"},
]

// Wonders
const wonderList = [
	{name:"Pyramids", id:0,code:"object.wPyramids"},
	{name:"Hanging Gardens", id:1,code:"object.wHangingGardens"},
	{name:"Colossus", id:2,code:"object.wColossus"},
	{name:"Royal Navy", id:3,code:"object.wRoyalNavy"},
	{name:"Great Library", id:4,code:"object.wGreatLibrary"},
	{name:"Oracle", id:5,code:"object.wOracle"},
	{name:"Gothic Line", id:6,code:"object.wGothicLine"},
	{name:"Sun Tzu's War Academy", id:7,code:"object.wSunTzusWarAcademy"},
	{name:"King Richard's Crusade", id:8,code:"object.wKingRichardsCrusade"},
	{name:"Marco Polo's Embassy", id:9,code:"object.wMarcoPolosEmbassy"},
	{name:"Michelangelo's Chapel", id:10,code:"object.wMichelangelosChapel"},
	{name:"Copernicus' Observatory", id:11,code:"object.wCopernicusObservatory"},
	{name:"Porto di Napoli", id:12,code:"object.wPortodiNapoli"},
	{name:"Citt del Vaticano", id:13,code:"object.wCittadelVaticano"},
	{name:"Leonardo's Workshop", id:14,code:"object.wLeonardosWorkshop"},
	{name:"BBC World Services", id:15,code:"object.wBBCWorldServices"},
	{name:"Isaac Newton's College", id:16,code:"object.wIsaacNewtonsCollege"},
	{name:"Adam Smith's Trading Co.", id:17,code:"object.wAdamSmithsTradingCo"},
	{name:"Darwin's Voyage", id:18,code:"object.wDarwinsVoyage"},
	{name:"Statue of Liberty", id:19,code:"object.wStatueofLiberty"},
	{name:"Eiffel Tower", id:20,code:"object.wEiffelTower"},
	{name:"Women's Suffrage", id:21,code:"object.wWomensSuffrage"},
	{name:"Hoover Dam", id:22,code:"object.wHooverDam"},
	{name:"Manhattan Project", id:23,code:"object.wManhattanProject"},
	{name:"United Nations", id:24,code:"object.wUnitedNations"},
	{name:"Apollo Program", id:25,code:"object.wApolloProgram"},
	{name:"SETI Program", id:26,code:"object.wSETIProgram"},
	{name:"Cure for Cancer", id:27,code:"object.wCureforCancer"},
]

// Advances
const advancesList = [
	{name:"Early Radar System", id:0,code:"object.aEarlyRadarSystem"},
	{name:"Not Used", id:1,code:"object.aNotUsed"},
	{name:"US Navy", id:2,code:"object.aUSNavy"},
	{name:"Regia Aeronautica", id:3,code:"object.aRegiaAeronautica"},
	{name:"Kriegsmarine", id:4,code:"object.aKriegsmarine"},
	{name:"Not Used5", id:5,code:"object.aNotUsed5"},
	{name:"England", id:6,code:"object.aEngland"},
	{name:"Rail Transport", id:7,code:"object.aRailTransport"},
	{name:"Yalta Conference", id:8,code:"object.aYaltaConference"},
	{name:"Printing Press", id:9,code:"object.aPrintingPress"},
	{name:"Minor Powers", id:10,code:"object.aMinorPowers"},
	{name:"Italia", id:11,code:"object.aItalia"},
	{name:"Commonwealth", id:12,code:"object.aCommonwealth"},
	{name:"Deutschland", id:13,code:"object.aDeutschland"},
	{name:"TAC Air Force", id:14,code:"object.aTACAirForce"},
	{name:"Axis", id:15,code:"object.aAxis"},
	{name:"British Artillery", id:16,code:"object.aBritishArtillery"},
	{name:"Not Used17", id:17,code:"object.aNotUsed17"},
	{name:"Not Used18", id:18,code:"object.aNotUsed18"},
	{name:"Italian Army", id:19,code:"object.aItalianArmy"},
	{name:"British Eight Army", id:20,code:"object.aBritishEightArmy"},
	{name:"United States", id:21,code:"object.aUnitedStates"},
	{name:"Urbanism", id:22,code:"object.aUrbanism"},
	{name:"OKH", id:23,code:"object.aOKH"},
	{name:"Not Used24", id:24,code:"object.aNotUsed24"},
	{name:"Canada", id:25,code:"object.aCanada"},
	{name:"India", id:26,code:"object.aIndia"},
	{name:"New Zealand", id:27,code:"object.aNewZealand"},
	{name:"Not Used27", id:28,code:"object.aNotUsed27"},
	{name:"Munitions", id:29,code:"object.aMunitions"},
	{name:"SAC Air Force", id:30,code:"object.aSACAirForce"},
	{name:"Not Used31", id:31,code:"object.aNotUsed31"},
	{name:"Not Used32", id:32,code:"object.aNotUsed32"},
	{name:"Battle of Italy", id:33,code:"object.aBattleofItaly"},
	{name:"Not Used34", id:34,code:"object.aNotUsed34"},
	{name:"Not Used35", id:35,code:"object.aNotUsed35"},
	{name:"US Armor", id:36,code:"object.aUSArmor"},
	{name:"Allies", id:37,code:"object.aAllies"},
	{name:"Not Used38", id:38,code:"object.aNotUsed38"},
	{name:"British Armor", id:39,code:"object.aBritishArmor"},
	{name:"USAAF", id:40,code:"object.aUSAAF"},
	{name:"US Fifth Army", id:41,code:"object.aUSFifthArmy"},
	{name:"Panzerkorps", id:42,code:"object.aPanzerkorps"},
	{name:"Weapons Design", id:43,code:"object.aWeaponsDesign"},
	{name:"US Artillery", id:44,code:"object.aUSArtillery"},
	{name:"Not Used45", id:45,code:"object.aNotUsed45"},
	{name:"Naval Base", id:46,code:"object.aNavalBase"},
	{name:"Regio Esercito", id:47,code:"object.aRegioEsercito"},
	{name:"Industrialism", id:48,code:"object.aIndustrialism"},
	{name:"Civil Defense", id:49,code:"object.aCivilDefense"},
	{name:"Not Used50", id:50,code:"object.aNotUsed50"},
	{name:"US Army", id:51,code:"object.aUSArmy"},
	{name:"British Army", id:52,code:"object.aBritishArmy"},
	{name:"Not Used53", id:53,code:"object.aNotUsed53"},
	{name:"Not Used54", id:54,code:"object.aNotUsed54"},
	{name:"War Office", id:55,code:"object.aWarOffice"},
	{name:"Mass Media", id:56,code:"object.aMassMedia"},
	{name:"Royal Navy", id:57,code:"object.aRoyalNavy"},
	{name:"Not Used58", id:58,code:"object.aNotUsed58"},
	{name:"Not Used59", id:59,code:"object.aNotUsed59"},
	{name:"Not Used60", id:60,code:"object.aNotUsed60"},
	{name:"Italian Artillery", id:61,code:"object.aItalianArtillery"},
	{name:"Not Used62", id:62,code:"object.aNotUsed62"},
	{name:"Impossible Tech", id:63,code:"object.aImpossibleTech"},
	{name:"Not Used64", id:64,code:"object.aNotUsed64"},
	{name:"South Africa", id:65,code:"object.aSouthAfrica"},
	{name:"Not Used66", id:66,code:"object.aNotUsed66"},
	{name:"Not Used67", id:67,code:"object.aNotUsed67"},
	{name:"Free French", id:68,code:"object.aFreeFrench"},
	{name:"Poland", id:69,code:"object.aPoland"},
	{name:"War Rationing", id:70,code:"object.aWarRationing"},
	{name:"Not Used71", id:71,code:"object.aNotUsed71"},
	{name:"German Artillery", id:72,code:"object.aGermanArtillery"},
	{name:"Luftwaffe", id:73,code:"object.aLuftwaffe"},
	{name:"Not Used74", id:74,code:"object.aNotUsed74"},
	{name:"Royal Naval Arm", id:75,code:"object.aRoyalNavalArm"},
	{name:"Troop Carrier Command", id:76,code:"object.aTroopCarrierCommand"},
	{name:"Fortifications", id:77,code:"object.aFortifications"},
	{name:"Regia Marina", id:78,code:"object.aRegiaMarina"},
	{name:"Wehrmacht", id:79,code:"object.aWehrmacht"},
	{name:"Flak Batteries", id:80,code:"object.aFlakBatteries"},
	{name:"Royal Air Force", id:81,code:"object.aRoyalAirForce"},
	{name:"Conditioning", id:82,code:"object.aConditioning"},
	{name:"25th Royal Engineer", id:83,code:"object.a25thRoyalEngineer"},
	{name:"Commerce", id:84,code:"object.aCommerce"},
	{name:"Not Used85", id:85,code:"object.aNotUsed85"},
	{name:"Waffen-SS", id:86,code:"object.aWaffenSS"},
	{name:"Italian Mechanized", id:87,code:"object.aItalianMechanized"},
	{name:"Not Used88", id:88,code:"object.aNotUsed88"},
	{name:"Battle Plan", id:89,code:"object.aBattlePlan"},
	{name:"Brazil et al.", id:90,code:"object.aBraziletal"},
	{name:"British Arm. Div", id:91,code:"object.aBritishArmDiv"},
	{name:"Air", id:92,code:"object.aAir"},
	{name:"Ground", id:93,code:"object.aGround"},
	{name:"Naval", id:94,code:"object.aNaval"},
	{name:"Adv. Radar Research", id:95,code:"object.aAdvRadarResearch"},
	{name:"Adv. Radar System", id:96,code:"object.aAdvRadarSystem"},
	{name:"Operation Diadem", id:97,code:"object.aOperationDiadem"},
	{name:"Operation Grapeshot", id:98,code:"object.aOperationGrapeshot"},
	{name:"Extra Advance 7", id:99,code:"object.aExtraAdvance7"},
]

// Cities
const cityLocationList = [
	{name:"Verona", id:0, tribeId:1, code:"object.lVerona", xyz:[106,14,0]},
	{name:"Valetta", id:1, tribeId:6, code:"object.lValetta", xyz:[40,180,0]},
	{name:"ROMA", id:2, tribeId:1, code:"object.lROMA", xyz:[80,76,0]},
	{name:"Napoli", id:3, tribeId:1, code:"object.lNapoli", xyz:[88,106,0]},
	{name:"Palermo", id:4, tribeId:1, code:"object.lPalermo", xyz:[44,140,0]},
	{name:"Genoa", id:5, tribeId:1, code:"object.lGenoa", xyz:[72,12,0]},
	{name:"Bologna", id:6, tribeId:1, code:"object.lBologna", xyz:[100,30,0]},
	{name:"Bari", id:7, tribeId:1, code:"object.lBari", xyz:[123,125,0]},
	{name:"Catania", id:8, tribeId:1, code:"object.lCatania", xyz:[62,162,0]},
	{name:"Firenze", id:9, tribeId:1, code:"object.lFirenze", xyz:[89,39,0]},
	{name:"Brescia", id:10, tribeId:1, code:"object.lBrescia", xyz:[98,4,0]},
	{name:"Messina", id:11, tribeId:1, code:"object.lMessina", xyz:[73,155,0]},
	{name:"Padova", id:12, tribeId:1, code:"object.lPadova", xyz:[115,21,0]},
	{name:"Taranto", id:13, tribeId:1, code:"object.lTaranto", xyz:[120,138,0]},
	{name:"Trieste", id:14, tribeId:1, code:"object.lTrieste", xyz:[137,31,0]},
	{name:"Cagliari", id:15, tribeId:1, code:"object.lCagliari", xyz:[14,90,0]},
	{name:"Foggia", id:16, tribeId:1, code:"object.lFoggia", xyz:[111,107,0]},
	{name:"Livorno", id:17, tribeId:1, code:"object.lLivorno", xyz:[75,35,0]},
	{name:"Parma", id:18, tribeId:1, code:"object.lParma", xyz:[93,17,0]},
	{name:"Reggio Calabria", id:19, tribeId:1, code:"object.lReggioCalabria", xyz:[73,159,0]},
	{name:"Reggio Emilia", id:20, tribeId:1, code:"object.lReggioEmilia", xyz:[93,21,0]},
	{name:"Cremona", id:21, tribeId:1, code:"object.lCremona", xyz:[91,9,0]},
	{name:"Ferrara", id:22, tribeId:1, code:"object.lFerrara", xyz:[105,27,0]},
	{name:"Forli", id:23, tribeId:1, code:"object.lForli", xyz:[103,39,0]},
	{name:"La Spezia", id:24, tribeId:1, code:"object.lLaSpezia", xyz:[77,23,0]},
	{name:"Ravenna", id:25, tribeId:1, code:"object.lRavenna", xyz:[107,37,0]},
	{name:"Siracusa", id:26, tribeId:1, code:"object.lSiracusa", xyz:[59,169,0]},
	{name:"Mantova", id:27, tribeId:1, code:"object.lMantova", xyz:[101,17,0]},
	{name:"Modena", id:28, tribeId:1, code:"object.lModena", xyz:[96,24,0]},
	{name:"Venezia", id:29, tribeId:1, code:"object.lVenezia", xyz:[119,25,0]},
	{name:"Piacenza", id:30, tribeId:1, code:"object.lPiacenza", xyz:[87,9,0]},
	{name:"Pavia", id:31, tribeId:1, code:"object.lPavia", xyz:[84,2,0]},
	{name:"Alessandria", id:32, tribeId:1, code:"object.lAlessandria", xyz:[75,1,0]},
	{name:"Savona", id:33, tribeId:1, code:"object.lSavona", xyz:[66,10,0]},
	{name:"Trapani", id:34, tribeId:1, code:"object.lTrapani", xyz:[32,136,0]},
	{name:"Pescara", id:35, tribeId:1, code:"object.lPescara", xyz:[107,83,0]},
	{name:"Udine", id:36, tribeId:1, code:"object.lUdine", xyz:[136,20,0]},
	{name:"Ajaccio", id:37, tribeId:1, code:"object.lAjaccio", xyz:[40,48,0]},
	{name:"Tunis", id:38, tribeId:6, code:"object.lTunis", xyz:[0,136,0]},
	{name:"Brindisi", id:39, tribeId:1, code:"object.lBrindisi", xyz:[130,142,0]},
	{name:"Rimini", id:40, tribeId:1, code:"object.lRimini", xyz:[106,44,0]},
	{name:"Sassari", id:41, tribeId:1, code:"object.lSassari", xyz:[22,64,0]},
	{name:"Bastia", id:42, tribeId:1, code:"object.lBastia", xyz:[53,47,0]},
	{name:"Olbia", id:43, tribeId:1, code:"object.lOlbia", xyz:[36,68,0]},
]
// Flags
// (flags with the moduleName field specified won't appear here, but those don't work with
// canBuildSettings.lua anyway)
const flagsList = [
	{name:'Flag: "Display Attacker and Defender Values"', id:1, code:"Display Attacker and Defender Values"},
	{name:'Flag: "Display Game Tip Pop-Ups"', id:2, code:"Display Game Tip Pop-Ups"},
	{name:'Flag: "Display Out of Supply Pop-Ups"', id:3, code:"Display Out of Supply Pop-Ups"},
	{name:'Flag: "Stacking Limit Options"', id:4, code:"Stacking Limit Options"},
	{name:'Flag: "Ships At Sea Penalty Option"', id:5, code:"Ships At Sea Penalty Option"},
	{name:'Flag: "Allied Naval unit count"', id:6, code:"Allied Naval unit count"},
	{name:'Flag: "Display Axis Messages"', id:7, code:"Display Axis Messages"},
	{name:'Flag: "Display Axis Testing Messages"', id:8, code:"Display Axis Testing Messages"},
	{name:'Flag: "Allies at War"', id:9, code:"Allies at War"},
	{name:'Flag: "Patton dismissed"', id:10, code:"Patton dismissed"},
	{name:'Flag: "Game ends March I, 1945"', id:11, code:"Game ends March I, 1945"},
	{name:'Flag: "General Montgomery Reassigned"', id:12, code:"General Montgomery Reassigned"},
	{name:'Flag: "General Clark Reassigned"', id:13, code:"General Clark Reassigned"},
	{name:'Flag: "General Leese Reassigned"', id:14, code:"General Leese Reassigned"},
	{name:'Flag: "Germans evacuate Sicily"', id:15, code:"Germans evacuate Sicily"},
	{name:'Flag: "Sicily is Conquered"', id:16, code:"Sicily is Conquered"},
	{name:'Flag: "2nd Invasion Available"', id:17, code:"2nd Invasion Available"},
	{name:'Flag: "2nd Invasion Launched"', id:18, code:"2nd Invasion Launched"},
	{name:'Flag: "2nd Invasion Above Gustav"', id:19, code:"2nd Invasion Above Gustav"},
	{name:'Flag: "Operation Baytown Activated"', id:20, code:"Operation Baytown Activated"},
	{name:'Flag: "Operation Slapstick Activated"', id:21, code:"Operation Slapstick Activated"},
	{name:'Flag: "Operation Brimstone Launched"', id:22, code:"Operation Brimstone Launched"},
	{name:'Flag: "Operation Firebrand Launched"', id:23, code:"Operation Firebrand Launched"},
	{name:'Flag: "3rd Invasion Available"', id:24, code:"3rd Invasion Available"},
	{name:'Flag: "3rd Invasion Launched"', id:25, code:"3rd Invasion Launched"},
	{name:'Flag: "3rd Invasion Not-Launched"', id:26, code:"3rd Invasion Not-Launched"},
	{name:'Flag: "Operation Diadem Launched"', id:27, code:"Operation Diadem Launched"},
	{name:'Flag: "Operation Grapeshot Launched"', id:28, code:"Operation Grapeshot Launched"},
	{name:'Flag: "Italian CLN Front Activated"', id:29, code:"Italian CLN Front Activated"},
	{name:'Flag: "Italian CLN Partisans Activated"', id:30, code:"Italian CLN Partisans Activated"},
	{name:'Flag: "Polish Troops Demoralized After Yalta"', id:31, code:"Polish Troops Demoralized After Yalta"},
	{name:'Flag: "Allied automatic victory"', id:32, code:"Allied automatic victory"},
	{name:'Flag: "Airfield Captured in Bastia"', id:33, code:"Airfield Captured in Bastia"},
	{name:'Flag: "Airfield Captured in Foggia"', id:34, code:"Airfield Captured in Foggia"},
	{name:'Flag: "Airfield Captured in Napoli"', id:35, code:"Airfield Captured in Napoli"},
	{name:'Flag: "Airfield Captured in ROMA"', id:36, code:"Airfield Captured in ROMA"},
	{name:'Flag: "Bologna is captured"', id:37, code:"Bologna is captured"},
	{name:'Flag: "Firenze is captured"', id:38, code:"Firenze is captured"},
	{name:'Flag: "Foggia is captured"', id:39, code:"Foggia is captured"},
	{name:'Flag: "Livorno is captured"', id:40, code:"Livorno is captured"},
	{name:'Flag: "Messina is captured"', id:41, code:"Messina is captured"},
	{name:'Flag: "Napoli is captured"', id:42, code:"Napoli is captured"},
	{name:'Flag: "Ostia is captured"', id:43, code:"Ostia is captured"},
	{name:'Flag: "Pescara is captured"', id:44, code:"Pescara is captured"},
	{name:'Flag: "Rimini is captured"', id:45, code:"Rimini is captured"},
	{name:'Flag: "Roma is captured"', id:46, code:"Roma is captured"},
	{name:'Flag: "Docks being built in Bari"', id:47, code:"Docks being built in Bari"},
	{name:'Flag: "Docks being built in Catania"', id:48, code:"Docks being built in Catania"},
	{name:'Flag: "Docks being built in Livorno"', id:49, code:"Docks being built in Livorno"},
	{name:'Flag: "Docks being built in Messina"', id:50, code:"Docks being built in Messina"},
	{name:'Flag: "Docks being built in Napoli"', id:51, code:"Docks being built in Napoli"},
	{name:'Flag: "Docks being built in Palermo"', id:52, code:"Docks being built in Palermo"},
	{name:'Flag: "Docks being built in Taranto"', id:53, code:"Docks being built in Taranto"},
	{name:'Flag: "Docks being built in Tunis"', id:54, code:"Docks being built in Tunis"},
	{name:'Flag: "Docks being built in Valetta"', id:55, code:"Docks being built in Valetta"},
	{name:'Flag: "Docks built in Bari"', id:56, code:"Docks built in Bari"},
	{name:'Flag: "Docks built in Catania"', id:57, code:"Docks built in Catania"},
	{name:'Flag: "Docks built in Livorno"', id:58, code:"Docks built in Livorno"},
	{name:'Flag: "Docks built in Messina"', id:59, code:"Docks built in Messina"},
	{name:'Flag: "Docks built in Napoli"', id:60, code:"Docks built in Napoli"},
	{name:'Flag: "Docks built in Palermo"', id:61, code:"Docks built in Palermo"},
	{name:'Flag: "Docks built in Taranto"', id:62, code:"Docks built in Taranto"},
	{name:'Flag: "Docks built in Tunis"', id:63, code:"Docks built in Tunis"},
	{name:'Flag: "Docks built in Valetta"', id:64, code:"Docks built in Valetta"},
	{name:'Flag: "Sea Mines being removed from Bari"', id:65, code:"Sea Mines being removed from Bari"},
	{name:'Flag: "Sea Mines being removed from Brindisi"', id:66, code:"Sea Mines being removed from Brindisi"},
	{name:'Flag: "Sea Mines being removed from Catania"', id:67, code:"Sea Mines being removed from Catania"},
	{name:'Flag: "Sea Mines being removed from Genoa"', id:68, code:"Sea Mines being removed from Genoa"},
	{name:'Flag: "Sea Mines being removed from La Spezia"', id:69, code:"Sea Mines being removed from La Spezia"},
	{name:'Flag: "Sea Mines being removed from Livorno"', id:70, code:"Sea Mines being removed from Livorno"},
	{name:'Flag: "Sea Mines being removed from Messina"', id:71, code:"Sea Mines being removed from Messina"},
	{name:'Flag: "Sea Mines being removed from Napoli"', id:72, code:"Sea Mines being removed from Napoli"},
	{name:'Flag: "Sea Mines being removed from Palermo"', id:73, code:"Sea Mines being removed from Palermo"},
	{name:'Flag: "Sea Mines being removed from Pescara"', id:74, code:"Sea Mines being removed from Pescara"},
	{name:'Flag: "Sea Mines being removed from Rimini"', id:75, code:"Sea Mines being removed from Rimini"},
	{name:'Flag: "Sea Mines being removed from Siracusa"', id:76, code:"Sea Mines being removed from Siracusa"},
	{name:'Flag: "Sea Mines being removed from Taranto"', id:77, code:"Sea Mines being removed from Taranto"},
	{name:'Flag: "Sea Mines being removed from Trapani"', id:78, code:"Sea Mines being removed from Trapani"},
	{name:'Flag: "Sea Mines being removed from Venezia"', id:79, code:"Sea Mines being removed from Venezia"},
	{name:'Flag: "Sea Mines removed from Bari"', id:80, code:"Sea Mines removed from Bari"},
	{name:'Flag: "Sea Mines removed from Brindisi"', id:81, code:"Sea Mines removed from Brindisi"},
	{name:'Flag: "Sea Mines removed from Catania"', id:82, code:"Sea Mines removed from Catania"},
	{name:'Flag: "Sea Mines removed from Genoa"', id:83, code:"Sea Mines removed from Genoa"},
	{name:'Flag: "Sea Mines removed from La Spezia"', id:84, code:"Sea Mines removed from La Spezia"},
	{name:'Flag: "Sea Mines removed from Livorno"', id:85, code:"Sea Mines removed from Livorno"},
	{name:'Flag: "Sea Mines removed from Messina"', id:86, code:"Sea Mines removed from Messina"},
	{name:'Flag: "Sea Mines removed from Napoli"', id:87, code:"Sea Mines removed from Napoli"},
	{name:'Flag: "Sea Mines removed from Palermo"', id:88, code:"Sea Mines removed from Palermo"},
	{name:'Flag: "Sea Mines removed from Pescara"', id:89, code:"Sea Mines removed from Pescara"},
	{name:'Flag: "Sea Mines removed from Rimini"', id:90, code:"Sea Mines removed from Rimini"},
	{name:'Flag: "Sea Mines removed from Siracusa"', id:91, code:"Sea Mines removed from Siracusa"},
	{name:'Flag: "Sea Mines removed from Taranto"', id:92, code:"Sea Mines removed from Taranto"},
	{name:'Flag: "Sea Mines removed from Trapani"', id:93, code:"Sea Mines removed from Trapani"},
	{name:'Flag: "Sea Mines removed from Venezia"', id:94, code:"Sea Mines removed from Venezia"},
	{name:'Flag: "Supply Depot being built in Bari"', id:95, code:"Supply Depot being built in Bari"},
	{name:'Flag: "Supply Depot being built in Bologna"', id:96, code:"Supply Depot being built in Bologna"},
	{name:'Flag: "Supply Depot being built in Catania"', id:97, code:"Supply Depot being built in Catania"},
	{name:'Flag: "Supply Depot being built in Firenze"', id:98, code:"Supply Depot being built in Firenze"},
	{name:'Flag: "Supply Depot being built in Foggia"', id:99, code:"Supply Depot being built in Foggia"},
	{name:'Flag: "Supply Depot being built in Genoa"', id:100, code:"Supply Depot being built in Genoa"},
	{name:'Flag: "Supply Depot being built in Livorno"', id:101, code:"Supply Depot being built in Livorno"},
	{name:'Flag: "Supply Depot being built in Messina"', id:102, code:"Supply Depot being built in Messina"},
	{name:'Flag: "Supply Depot being built in Napoli"', id:103, code:"Supply Depot being built in Napoli"},
	{name:'Flag: "Supply Depot being built in Palermo"', id:104, code:"Supply Depot being built in Palermo"},
	{name:'Flag: "Supply Depot being built in Pescara"', id:105, code:"Supply Depot being built in Pescara"},
	{name:'Flag: "Supply Depot being built in Rimini"', id:106, code:"Supply Depot being built in Rimini"},
	{name:'Flag: "Supply Depot being built in Roma"', id:107, code:"Supply Depot being built in Roma"},
	{name:'Flag: "Supply Depot being built in Taranto"', id:108, code:"Supply Depot being built in Taranto"},
	{name:'Flag: "Supply Depot built in Bari"', id:109, code:"Supply Depot built in Bari"},
	{name:'Flag: "Supply Depot built in Bologna"', id:110, code:"Supply Depot built in Bologna"},
	{name:'Flag: "Supply Depot built in Catania"', id:111, code:"Supply Depot built in Catania"},
	{name:'Flag: "Supply Depot built in Firenze"', id:112, code:"Supply Depot built in Firenze"},
	{name:'Flag: "Supply Depot built in Foggia"', id:113, code:"Supply Depot built in Foggia"},
	{name:'Flag: "Supply Depot built in Genoa"', id:114, code:"Supply Depot built in Genoa"},
	{name:'Flag: "Supply Depot built in Livorno"', id:115, code:"Supply Depot built in Livorno"},
	{name:'Flag: "Supply Depot built in Messina"', id:116, code:"Supply Depot built in Messina"},
	{name:'Flag: "Supply Depot built in Napoli"', id:117, code:"Supply Depot built in Napoli"},
	{name:'Flag: "Supply Depot built in Palermo"', id:118, code:"Supply Depot built in Palermo"},
	{name:'Flag: "Supply Depot built in Pescara"', id:119, code:"Supply Depot built in Pescara"},
	{name:'Flag: "Supply Depot built in Rimini"', id:120, code:"Supply Depot built in Rimini"},
	{name:'Flag: "Supply Depot built in Roma"', id:121, code:"Supply Depot built in Roma"},
	{name:'Flag: "Supply Depot built in Taranto"', id:122, code:"Supply Depot built in Taranto"},
	{name:'Flag: "1st Infantry units withdrawn"', id:123, code:"1st Infantry units withdrawn"},
	{name:'Flag: "10th Mountain units arrive"', id:124, code:"10th Mountain units arrive"},
	{name:'Flag: "82nd Airborne units withdrawn"', id:125, code:"82nd Airborne units withdrawn"},
	{name:'Flag: "Ranger units withdrawn"', id:126, code:"Ranger units withdrawn"},
	{name:'Flag: "M4A3 76(W) enters US armor inventory"', id:127, code:"M4A3 76(W) enters US armor inventory"},
	{name:'Flag: "Veteran US Infantry units withdrawn"', id:128, code:"Veteran US Infantry units withdrawn"},
	{name:'Flag: "US Armored Division is Active"', id:129, code:"US Armored Division is Active"},
	{name:'Flag: "1st Airborne units withdrawn"', id:130, code:"1st Airborne units withdrawn"},
	{name:'Flag: "British Armored Division Deployed"', id:131, code:"British Armored Division Deployed"},
	{name:'Flag: "Commandos units withdrawn"', id:132, code:"Commandos units withdrawn"},
	{name:'Flag: "Churchill AVRE enters UK armor inventory"', id:133, code:"Churchill AVRE enters UK armor inventory"},
	{name:'Flag: "Churchill MkIV enters UK armor inventory"', id:134, code:"Churchill MkIV enters UK armor inventory"},
	{name:'Flag: "Sherman Firefly enters UK armor inventory"', id:135, code:"Sherman Firefly enters UK armor inventory"},
	{name:'Flag: "Veteran UK Infantry units withdrawn"', id:136, code:"Veteran UK Infantry units withdrawn"},
	{name:'Flag: "British 52nd Mountain Deployed"', id:137, code:"British 52nd Mountain Deployed"},
	{name:'Flag: "Seafire MkII carrier aircraft withdrawn"', id:138, code:"Seafire MkII carrier aircraft withdrawn"},
	{name:'Flag: "Fairey Barracuda carrier aircraft withdrawn"', id:139, code:"Fairey Barracuda carrier aircraft withdrawn"},
	{name:'Flag: "Canadian units withdrawn"', id:140, code:"Canadian units withdrawn"},
	{name:'Flag: "Cdn 5th Armored units arrive"', id:141, code:"Cdn 5th Armored units arrive"},
	{name:'Flag: "4th Indian Infantry units arrive"', id:142, code:"4th Indian Infantry units arrive"},
	{name:'Flag: "10th Indian Infantry units arrive"', id:143, code:"10th Indian Infantry units arrive"},
	{name:'Flag: "Indian Infantry units arrive"', id:144, code:"Indian Infantry units arrive"},
	{name:'Flag: "Gurkhas units arrived"', id:145, code:"Gurkhas units arrived"},
	{name:'Flag: "New Zealand units arrive"', id:146, code:"New Zealand units arrive"},
	{name:'Flag: "South African units arrive"', id:147, code:"South African units arrive"},
	{name:'Flag: "Brazil Infantry units arrive"', id:148, code:"Brazil Infantry units arrive"},
	{name:'Flag: "Greek Infantry units arrive"', id:149, code:"Greek Infantry units arrive"},
	{name:'Flag: "Jewish Infantry units arrive"', id:150, code:"Jewish Infantry units arrive"},
	{name:'Flag: "Goumier Marocain units arrive"', id:151, code:"Goumier Marocain units arrive"},
	{name:'Flag: "Tirailleur Algérien units arrive"', id:152, code:"Tirailleur Algérien units arrive"},
	{name:'Flag: "Free French units arrive"', id:153, code:"Free French units arrive"},
	{name:'Flag: "Polish units arrive"', id:154, code:"Polish units arrive"},
	{name:'Flag: "Summer Months"', id:155, code:"Summer Months"},
	{name:'Flag: "FallSpring Months"', id:156, code:"FallSpring Months"},
	{name:'Flag: "Winter Months"', id:157, code:"Winter Months"},
	{name:'Flag: "1st SS Pz Div triggered"', id:158, code:"1st SS Pz Div triggered"},
	{name:'Flag: "2nd SS Pz Div triggered"', id:159, code:"2nd SS Pz Div triggered"},
	{name:'Flag: "16th SS PzGr Div triggered"', id:160, code:"16th SS PzGr Div triggered"},
	{name:'Flag: "16th Pz Div triggered"', id:161, code:"16th Pz Div triggered"},
	{name:'Flag: "24th Pz Div triggered"', id:162, code:"24th Pz Div triggered"},
	{name:'Flag: "26th Pz Div triggered"', id:163, code:"26th Pz Div triggered"},
	{name:'Flag: "3rd PzGr Div triggered"', id:164, code:"3rd PzGr Div triggered"},
	{name:'Flag: "90th PzGr Div triggered"', id:165, code:"90th PzGr Div triggered"},
	{name:'Flag: "3rd Invasion Units, 1st turn, triggered"', id:166, code:"3rd Invasion Units, 1st turn, triggered"},
	{name:'Flag: "3rd Invasion Units, 2nd turn, triggered"', id:167, code:"3rd Invasion Units, 2nd turn, triggered"},
	{name:'Flag: "3rd Invasion Units, 3rd turn, triggered"', id:168, code:"3rd Invasion Units, 3rd turn, triggered"},
	{name:'Flag: "No 3rd Invasion Units, 1st turn, triggered"', id:169, code:"No 3rd Invasion Units, 1st turn, triggered"},
	{name:'Flag: "No 3rd Invasion Units, 2nd turn, triggered"', id:170, code:"No 3rd Invasion Units, 2nd turn, triggered"},
	{name:'Flag: "No 3rd Invasion Units, 3rd turn, triggered"', id:171, code:"No 3rd Invasion Units, 3rd turn, triggered"},
	{name:'Flag: "Adriatic Command triggered"', id:172, code:"Adriatic Command triggered"},
	{name:'Flag: "Ligurian Command triggered"', id:173, code:"Ligurian Command triggered"},
	{name:'Flag: "Gothic Line Construction Begun"', id:174, code:"Gothic Line Construction Begun"},
	{name:'Flag: "Gustav Line is breached"', id:175, code:"Gustav Line is breached"},
	{name:'Flag: "Gothic Line is breached"', id:176, code:"Gothic Line is breached"},
	{name:'Flag: "German 10th Army Cutoff"', id:177, code:"German 10th Army Cutoff"},
	{name:'Flag: "German 10th Army Escaped"', id:178, code:"German 10th Army Escaped"},
	{name:'Flag: "Italian Prisonners Can Be Captured"', id:179, code:"Italian Prisonners Can Be Captured"},
	{name:'Flag: "Mussolini Dismissed and Arrested"', id:180, code:"Mussolini Dismissed and Arrested"},
	{name:'Flag: "Republic of Salo Created"', id:181, code:"Republic of Salo Created"},
	{name:'Flag: "Republic of Salo Conquered"', id:182, code:"Republic of Salo Conquered"},
	{name:'Flag: "Regia Marina Main Battle Fleet Sorties"', id:183, code:"Regia Marina Main Battle Fleet Sorties"},
	{name:'Flag: "Trasimene Defensive Line Triggered"', id:184, code:"Trasimene Defensive Line Triggered"},
	{name:'Flag: "Italy Surrendered"', id:185, code:"Italy Surrendered"},
	{name:'Flag: "Italy Surrendered Level 1"', id:186, code:"Italy Surrendered Level 1"},
]
// Counter Keys
const countersList = [
	{name:'Counter: "Command Decision #"', id:1, code:"Command Decision #"},
	{name:'Counter: "Special Bulletin #"', id:2, code:"Special Bulletin #"},
	{name:'Counter: "Beachhead #"', id:3, code:"Beachhead #"},
	{name:'Counter: "# Landing Craft Withdrawn during 1st Invasion"', id:4, code:"# Landing Craft Withdrawn during 1st Invasion"},
	{name:'Counter: "# Landing Craft Available for 2nd Invasion"', id:5, code:"# Landing Craft Available for 2nd Invasion"},
	{name:'Counter: "# Landing Craft Available for 3rd Invasion"', id:6, code:"# Landing Craft Available for 3rd Invasion"},
	{name:'Counter: "# Supplies Spent in Campaign"', id:7, code:"# Supplies Spent in Campaign"},
	{name:'Counter: "# Cities For Italian Surrender"', id:8, code:"# Cities For Italian Surrender"},
	{name:'Counter: "# Gothic Line Ersatz Count"', id:9, code:"# Gothic Line Ersatz Count"},
	{name:'Counter: "# Gothic Line Kasematte Count"', id:10, code:"# Gothic Line Kasematte Count"},
	{name:'Counter: "# Gothic Line Fallschirmjager Count"', id:11, code:"# Gothic Line Fallschirmjager Count"},
	{name:'Counter: "# Gothic Line BKR back line Count"', id:12, code:"# Gothic Line BKR back line Count"},
	{name:'Counter: "# Gothic Line BKR front line Count"', id:13, code:"# Gothic Line BKR front line Count"},
	{name:'Counter: "# Gothic Line WSN back line Count"', id:14, code:"# Gothic Line WSN back line Count"},
	{name:'Counter: "# Gothic Line WSN front line Count"', id:15, code:"# Gothic Line WSN front line Count"},
	{name:'Counter: "# Gothic Line 105mm Art Count"', id:16, code:"# Gothic Line 105mm Art Count"},
	{name:'Counter: "# Gothic Line 155mm Art Count"', id:17, code:"# Gothic Line 155mm Art Count"},
	{name:'Counter: "# Gothic Line 37mm AA Count"', id:18, code:"# Gothic Line 37mm AA Count"},
	{name:'Counter: "# Gothic Line 88mm AA Count"', id:19, code:"# Gothic Line 88mm AA Count"},
	{name:'Counter: "# Total Allied Killed"', id:20, code:"# Total Allied Killed"},
	{name:'Counter: "# Total Axis Killed"', id:21, code:"# Total Axis Killed"},
	{name:'Counter: "# Total Germans Killed"', id:22, code:"# Total Germans Killed"},
	{name:'Counter: "# Total Italians Killed"', id:23, code:"# Total Italians Killed"},
	{name:'Counter: "# Total German Replacements Received"', id:24, code:"# Total German Replacements Received"},
	{name:'Counter: "# P-40"', id:25, code:"# P-40"},
	{name:'Counter: "# P-38"', id:26, code:"# P-38"},
	{name:'Counter: "# P-51"', id:27, code:"# P-51"},
	{name:'Counter: "# Total US Fighters"', id:28, code:"# Total US Fighters"},
	{name:'Counter: "# A-36"', id:29, code:"# A-36"},
	{name:'Counter: "# B-17"', id:30, code:"# B-17"},
	{name:'Counter: "# B-24"', id:31, code:"# B-24"},
	{name:'Counter: "# B-25"', id:32, code:"# B-25"},
	{name:'Counter: "# B-26"', id:33, code:"# B-26"},
	{name:'Counter: "# Total US Bombers"', id:34, code:"# Total US Bombers"},
	{name:'Counter: "# M8 Greyhound"', id:35, code:"# M8 Greyhound"},
	{name:'Counter: "# Armored Infantry"', id:36, code:"# Armored Infantry"},
	{name:'Counter: "# M5 Stuart"', id:37, code:"# M5 Stuart"},
	{name:'Counter: "# M4A1"', id:38, code:"# M4A1"},
	{name:'Counter: "# M10 Wolverine"', id:39, code:"# M10 Wolverine"},
	{name:'Counter: "# M4A3 (76)"', id:40, code:"# M4A3 (76)"},
	{name:'Counter: "# M4A1 Ind"', id:41, code:"# M4A1 Ind"},
	{name:'Counter: "# US Truck"', id:42, code:"# US Truck"},
	{name:'Counter: "# Engineer"', id:43, code:"# Engineer"},
	{name:'Counter: "# Total US Armored"', id:44, code:"# Total US Armored"},
	{name:'Counter: "# 1st Infantry"', id:45, code:"# 1st Infantry"},
	{name:'Counter: "# GI Veteran"', id:46, code:"# GI Veteran"},
	{name:'Counter: "# GI Regular"', id:47, code:"# GI Regular"},
	{name:'Counter: "# US Bazooka"', id:48, code:"# US Bazooka"},
	{name:'Counter: "# US Ranger"', id:49, code:"# US Ranger"},
	{name:'Counter: "# 82nd Airborne"', id:50, code:"# 82nd Airborne"},
	{name:'Counter: "# 10th Mountain"', id:51, code:"# 10th Mountain"},
	{name:'Counter: "# Total US Infantry"', id:52, code:"# Total US Infantry"},
	{name:'Counter: "# M7 105mm HMC"', id:53, code:"# M7 105mm HMC"},
	{name:'Counter: "# M12 155mm HMC"', id:54, code:"# M12 155mm HMC"},
	{name:'Counter: "# US Bofors 40mm AA"', id:55, code:"# US Bofors 40mm AA"},
	{name:'Counter: "# M2A1 105mm Art"', id:56, code:"# M2A1 105mm Art"},
	{name:'Counter: "# M1 155mm Art"', id:57, code:"# M1 155mm Art"},
	{name:'Counter: "# M1 57mm AT"', id:58, code:"# M1 57mm AT"},
	{name:'Counter: "# Total US Artillery"', id:59, code:"# Total US Artillery"},
	{name:'Counter: "# Beaufighter MkVI"', id:60, code:"# Beaufighter MkVI"},
	{name:'Counter: "# Kittyhawk"', id:61, code:"# Kittyhawk"},
	{name:'Counter: "# Spitfire MkIX"', id:62, code:"# Spitfire MkIX"},
	{name:'Counter: "# Seafire MkII"', id:63, code:"# Seafire MkII"},
	{name:'Counter: "# Total UK Fighters"', id:64, code:"# Total UK Fighters"},
	{name:'Counter: "# Hurricane IIc"', id:65, code:"# Hurricane IIc"},
	{name:'Counter: "# Martin Baltimore"', id:66, code:"# Martin Baltimore"},
	{name:'Counter: "# Vickers Wellington"', id:67, code:"# Vickers Wellington"},
	{name:'Counter: "# Boston III"', id:68, code:"# Boston III"},
	{name:'Counter: "# Sunderland III"', id:69, code:"# Sunderland III"},
	{name:'Counter: "# Fairey Barracuda"', id:70, code:"# Fairey Barracuda"},
	{name:'Counter: "# Total UK Bombers"', id:71, code:"# Total UK Bombers"},
	{name:'Counter: "# Daimler AC"', id:72, code:"# Daimler AC"},
	{name:'Counter: "# Bren Carrier"', id:73, code:"# Bren Carrier"},
	{name:'Counter: "# Sherman IIa Bde"', id:74, code:"# Sherman IIa Bde"},
	{name:'Counter: "# Sherman IIa"', id:75, code:"# Sherman IIa"},
	{name:'Counter: "# Churchill Mk IV"', id:76, code:"# Churchill Mk IV"},
	{name:'Counter: "# Cromwell Mk VII"', id:77, code:"# Cromwell Mk VII"},
	{name:'Counter: "# Sherman Firefly"', id:78, code:"# Sherman Firefly"},
	{name:'Counter: "# Churchill AVRE"', id:79, code:"# Churchill AVRE"},
	{name:'Counter: "# UK Truck"', id:80, code:"# UK Truck"},
	{name:'Counter: "# Total UK Armored"', id:81, code:"# Total UK Armored"},
	{name:'Counter: "# British Veteran"', id:82, code:"# British Veteran"},
	{name:'Counter: "# British Regular"', id:83, code:"# British Regular"},
	{name:'Counter: "# British PIAT"', id:84, code:"# British PIAT"},
	{name:'Counter: "# British MG"', id:85, code:"# British MG"},
	{name:'Counter: "# Commandos"', id:86, code:"# Commandos"},
	{name:'Counter: "# 1st Airborne"', id:87, code:"# 1st Airborne"},
	{name:'Counter: "# British 52nd Mountain"', id:88, code:"# British 52nd Mountain"},
	{name:'Counter: "# Total UK Infantry"', id:89, code:"# Total UK Infantry"},
	{name:'Counter: "# Bishop 25pdr"', id:90, code:"# Bishop 25pdr"},
	{name:'Counter: "# UK Bofors 40mm AA"', id:91, code:"# UK Bofors 40mm AA"},
	{name:'Counter: "# 25pdr MKII Art"', id:92, code:"# 25pdr MKII Art"},
	{name:'Counter: "# 55inch Art"', id:93, code:"# 55inch Art"},
	{name:'Counter: "# 6pdr AT"', id:94, code:"# 6pdr AT"},
	{name:'Counter: "# Total UK Artillery"', id:95, code:"# Total UK Artillery"},
	{name:'Counter: "# Cdn Mot Inf"', id:96, code:"# Cdn Mot Inf"},
	{name:'Counter: "# Cdn Sherman"', id:97, code:"# Cdn Sherman"},
	{name:'Counter: "# Cdn M7 105mm"', id:98, code:"# Cdn M7 105mm"},
	{name:'Counter: "# Cdn Bren Carrier"', id:99, code:"# Cdn Bren Carrier"},
	{name:'Counter: "# Cdn Infantry"', id:100, code:"# Cdn Infantry"},
	{name:'Counter: "# Total Canadian"', id:101, code:"# Total Canadian"},
	{name:'Counter: "# Indian Infantry"', id:102, code:"# Indian Infantry"},
	{name:'Counter: "# 4th Indian Div"', id:103, code:"# 4th Indian Div"},
	{name:'Counter: "# Gurkhas"', id:104, code:"# Gurkhas"},
	{name:'Counter: "# Indian 25pdr Art"', id:105, code:"# Indian 25pdr Art"},
	{name:'Counter: "# Total Indian"', id:106, code:"# Total Indian"},
	{name:'Counter: "# NZ Mot Inf"', id:107, code:"# NZ Mot Inf"},
	{name:'Counter: "# NZ Sherman"', id:108, code:"# NZ Sherman"},
	{name:'Counter: "# NZ 25pdr Art"', id:109, code:"# NZ 25pdr Art"},
	{name:'Counter: "# Total New Zealand"', id:110, code:"# Total New Zealand"},
	{name:'Counter: "# SA Mot Inf"', id:111, code:"# SA Mot Inf"},
	{name:'Counter: "# SA Sherman"', id:112, code:"# SA Sherman"},
	{name:'Counter: "# SA Sexton"', id:113, code:"# SA Sexton"},
	{name:'Counter: "# SA Bren Carrier"', id:114, code:"# SA Bren Carrier"},
	{name:'Counter: "# Total South African"', id:115, code:"# Total South African"},
	{name:'Counter: "# Braz 1st Inf"', id:116, code:"# Braz 1st Inf"},
	{name:'Counter: "# Greek Mtn Bde"', id:117, code:"# Greek Mtn Bde"},
	{name:'Counter: "# Jewish Bde"', id:118, code:"# Jewish Bde"},
	{name:'Counter: "# Total Brazil et AL"', id:119, code:"# Total Brazil et AL"},
	{name:'Counter: "# Infanterie Coloniale"', id:120, code:"# Infanterie Coloniale"},
	{name:'Counter: "# Goumier Marocain"', id:121, code:"# Goumier Marocain"},
	{name:'Counter: "# Tirailleur Algerien"', id:122, code:"# Tirailleur Algerien"},
	{name:'Counter: "# Free French Infantry"', id:123, code:"# Free French Infantry"},
	{name:'Counter: "# Free French 105Art"', id:124, code:"# Free French 105Art"},
	{name:'Counter: "# FreeFrenchM10"', id:125, code:"# FreeFrenchM10"},
	{name:'Counter: "# Total Free French"', id:126, code:"# Total Free French"},
	{name:'Counter: "# Polish Sherman"', id:127, code:"# Polish Sherman"},
	{name:'Counter: "# Polish Infantry"', id:128, code:"# Polish Infantry"},
	{name:'Counter: "# Polish 25pdr Art"', id:129, code:"# Polish 25pdr Art"},
	{name:'Counter: "# Total Polish"', id:130, code:"# Total Polish"},
	{name:'Counter: "# Tribal Class DD"', id:131, code:"# Tribal Class DD"},
	{name:'Counter: "# Leander Class CL"', id:132, code:"# Leander Class CL"},
	{name:'Counter: "# York Class CA"', id:133, code:"# York Class CA"},
	{name:'Counter: "# QE Class BB"', id:134, code:"# QE Class BB"},
	{name:'Counter: "# S-Class"', id:135, code:"# S-Class"},
	{name:'Counter: "# Illustrious Class CV"', id:136, code:"# Illustrious Class CV"},
	{name:'Counter: "# Liberty Ship"', id:137, code:"# Liberty Ship"},
	{name:'Counter: "# Total Oil Tankers"', id:138, code:"# Total Oil Tankers"},
	{name:'Counter: "# DUKW"', id:139, code:"# DUKW"},
	{name:'Counter: "# Total Naval Units"', id:140, code:"# Total Naval Units"},
]


const fullList = {}
const fullArray = [...unitList,...tribeList,...improvementList,...wonderList,...cityLocationList,...advancesList,...flagsList,...countersList]

fullArray.map( value => {
            fullList[value.code] = value;
    });


const testObject = false;

